-- Arma_Units
-- Author: Armakoir
-- DateCreated: 10/30/2017 1:30:24 PM

-- Load Priority 398
--------------------------------------------------------------
/* FILE INDEX:
		UnitReplaces (Insert, Update, Delete)
		UnitUpgrades (Insert, Update, Delete)
		TypeTags (Insert, Update, Delete)
		"Parked Units" (Update only)		*/

/* UNIT REPLACES */
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_CAMEL_ARCHER','UNIT_HORSEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_SCYTHIAN_HORSE_ARCHER','UNIT_HORSEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_NORWEGIAN_BERSERKER','UNIT_MACEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_ENGLISH_IRONSIDE','UNIT_CUIRASSIER');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_CHINESE_CROUCHING_TIGER','UNIT_TREBUCHET');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_ENGLISH_REDCOAT','UNIT_RIFLEMAN');
INSERT INTO UnitReplaces (CivUniqueUnitType, ReplacesUnitType) VALUES ('UNIT_FRENCH_GARDE_IMPERIALE','UNIT_RIFLEMAN');

DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_MEDICINE_MAN' AND ReplacesUnitType='UNIT_MEDIC';
DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_AMERICAN_AH64_APACHE' AND ReplacesUnitType='UNIT_HELICOPTER';
DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_WAR_GALLEY' AND ReplacesUnitType='UNIT_QUADRIREME';


/* UNIT UPGRADES */
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_MEDICINE_MAN','UNIT_MEDIC');
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_MEDIC','UNIT_HELICOPTER');
INSERT INTO UnitUpgrades (Unit, UpgradeUnit) VALUES ('UNIT_OBSERVATION_BALLOON','UNIT_UAV');

/*	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_ENGLISH_SEADOG';	--ARMORED CRUISER
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FRIGATE' WHERE Unit='UNIT_NORWEGIAN_LONGSHIP'; --GALLEAS
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_CHOKONU';--CULVERIN
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_LONGBOWMAN';--CULVERIN
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_CROSSBOWMAN';--CULVERIN
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FRIGATE' WHERE Unit='UNIT_GALLEY';	--GALLEAS
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_CARAVEL';		--COREVETTE
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_PRIVATEER';--ARMORED CRUISER
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_FRIGATE';--ARMORED CRUISER
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_BATTLESHIP' WHERE Unit='UNIT_IRONCLAD';  --DREADNOUGHT
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARTILLERY' WHERE Unit='UNIT_FIELD_CANNON'; --FIELD GUN	*/


DELETE FROM UnitUpgrades WHERE Unit='UNIT_ENGLISH_IRONSIDE';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_CUIRASSIER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_ENGLISH_IRONSIDE';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_BATTLESHIP';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_SUBMARINE';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_GERMAN_UBOAT';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_SNIPER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_ANTIAIR_GUN';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_MOTORISED_INFANTRY';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_ARMORED_CAVALRY';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_WW1_BOMBER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_MISSILE_DESTROYER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_SP_GUN';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_BATTLECRUISER';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_ASSAULT_GUN';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_POLISH_HUSSAR';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_UHLAN';
DELETE FROM UnitUpgrades WHERE Unit='UNIT_DIGGER';
--DELETE FROM UnitUpgrades WHERE Unit='UNIT_YAMATO' AND UpgradeUnit='UNIT_MISSILE_CRUISER';
DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_PERSIAN_WARSHIP';


/* TYPE TAGS
NOTES:
	
	 */
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SWORDSMAN','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_JAGUAR','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_VULTURE','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_KONGO_SHIELD_BEARER','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_HIRDMAN','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACEMAN','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_JAPANESE_SAMURAI','CLASS_SHOCK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GHAZI','CLASS_SHOCK');


INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ROMAN_LEGION','CLASS_SHOCK_MODIFIED');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BANDEIRANTE','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RECON','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_IRREGULAR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARCHAEOLOGIST','CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MINUTEMAN','CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BANDEIRANTE','CLASS_EXPLORER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_RELIGIOUS'); --ENTER FOREIGN LANDS
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_SNIPER','CLASS_SAMURAI');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MUSKETMAN','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_INFANTRY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MECHANIZED_INFANTRY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ENGLISH_REDCOAT','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RIFLEMAN','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_TERCIO','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FATHERLAND_VOLUNTEER','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GARDE_REPUBLICAINE','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SEPOY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARMATOLOS','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FRENCH_MARINE','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MOTORISED_INFANTRY','CLASS_GRUNT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_PIKE_AND_SHOT','CLASS_GRUNT');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SOHEI','CLASS_ANTI_CAVALRY');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CATAPULT','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ONAGER','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_TREBUCHET','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CHINESE_CROUCHING_TIGER','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BOMBARD','CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FIELD_CANNON','CLASS_SIEGE');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FIELD_CANNON','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_FIELD_GUN','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ASSAULT_GUN','CLASS_SIEGE');
--INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_KHMER_DOMREY','CLASS_HEAVY_CAVALRY');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_PRIVATEER','CLASS_CAPTURE_SHIPS');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SUBMARINE','CLASS_NAVAL_SUB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GERMAN_UBOAT','CLASS_NAVAL_SUB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_NUCLEAR_SUBMARINE','CLASS_NAVAL_SUB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_NUCLEAR_SUBMARINE','CLASS_UBOAT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AIRCRAFT_CARRIER','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SUPERCARRIER','CLASS_NAVAL_SUPPORT');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MISSILE_CRUISER','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MISSILE_DESTROYER','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MISSILE_DESTROYER','CLASS_NAVAL_RANGED');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_EGYPTIAN_CHARIOT_ARCHER','CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SUMERIAN_WAR_CART','CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_HELICOPTER','CLASS_MEDIC');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AMERICAN_AH64_APACHE','CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AMERICAN_AH64_APACHE','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AMERICAN_AH64_APACHE','CLASS_ANTITANK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_LANCER','CLASS_HEAVY_CAVALRY');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AT_CREW','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_AT_CREW','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_AT','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_AT','CLASS_FORWARD_OBSERVER');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ANTIAIR_GUN','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MOBILE_SAM','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MOBILE_SAM','CLASS_REVEAL_STEALTH');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GATLING_GUN','CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GATLING_GUN','CLASS_VARU');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACHINE_GUN','CLASS_VARU');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACHINE_GUN','CLASS_ANTI_AIR');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_VARU');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SNIPER','CLASS_MISSIONARY');

	INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_PANZER','CLASS_PUSHBACK');
	INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MODERN_ARMOR','CLASS_PUSHBACK');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_BIPLANE','CLASS_OBSERVATION');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_WW1_BOMBER','CLASS_OBSERVATION');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_UAV','CLASS_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GROUND_ATTACK','CLASS_ANTITANK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_JET_GROUND_ATTACK','CLASS_ANTITANK');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_STEALTH_ATTACK','CLASS_ANTITANK');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GREAT_GENERAL','CLASS_STEALTH');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GREAT_ADMIRAL','CLASS_STEALTH');


UPDATE TypeTags SET Tag = 'CLASS_EXPLORER' WHERE Type = 'UNIT_MODERN_SNIPER' AND Tag = 'CLASS_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_ANTITANK' WHERE Type = 'UNIT_AT_CREW' AND Tag = 'CLASS_ANTI_CAVALRY';
UPDATE TypeTags SET Tag = 'CLASS_ANTITANK' WHERE Type = 'UNIT_TANK_DESTROYER' AND Tag = 'CLASS_ANTI_CAVALRY';
UPDATE TypeTags SET Tag = 'CLASS_ANTITANK' WHERE Type = 'UNIT_MODERN_AT' AND Tag = 'CLASS_ANTI_CAVALRY';
UPDATE TypeTags SET Tag = 'CLASS_BATTERING_RAM' WHERE Type = 'UNIT_ASSAULT_GUN' AND Tag = 'CLASS_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_SIEGE' WHERE Type = 'UNIT_SP_GUN' AND Tag = 'CLASS_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_SIEGE' WHERE Type = 'UNIT_FIELD_GUN' AND Tag = 'CLASS_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_RANGED_CAVALRY' WHERE Type = 'UNIT_HELICOPTER' AND Tag = 'CLASS_LIGHT_CAVALRY';
UPDATE TypeTags SET Tag = 'CLASS_AIRCRAFT' WHERE Type = 'UNIT_UAV' AND Tag = 'CLASS_RECON';
UPDATE TypeTags SET Tag = 'CLASS_OBSERVATION' WHERE Type = 'UNIT_UAV' AND Tag = 'CLASS_HELICOPTER';
UPDATE TypeTags SET Tag = 'CLASS_RELIGIOUS' WHERE Type = 'UNIT_UAV' AND Tag = 'CLASS_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_IRONCLAD' AND Tag = 'CLASS_NAVAL_MELEE';	
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_BATTLESHIP' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_PRE_DREADNOUGHT' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_BRAZILIAN_MINAS_GERAES' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_YAMATO' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_MISSILE_CRUISER' AND Tag = 'CLASS_NAVAL_RAIDER';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_QUADRIREME' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_WAR_GALLEY' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_GALLEASS' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_FRIGATE' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_ARMORED_CRUISER' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_MELEE' WHERE Type = 'UNIT_BATTLECRUISER' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_SHIP_OF_THE_LINE' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_GALLEON' AND Tag = 'CLASS_NAVAL_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_NAVAL_SUPPORT' WHERE Type = 'UNIT_PERSIAN_WARSHIP' AND Tag = 'CLASS_PERSIAN_WARSHIP';
UPDATE TypeTags SET Tag = 'CLASS_CHOKONU' WHERE Type = 'UNIT_CHINESE_CROUCHING_TIGER' AND Tag = 'CLASS_RANGED';
UPDATE TypeTags SET Tag = 'CLASS_BATTERING_RAM' WHERE Type = 'UNIT_KHMER_DOMREY' AND Tag = 'CLASS_RANGED';

DELETE FROM TypeTags WHERE Type='UNIT_GALLEON' AND Tag='CLASS_NAVAL_BOMBARD';
DELETE FROM TypeTags WHERE Type='UNIT_SHIP_OF_THE_LINE' AND Tag='CLASS_NAVAL_BOMBARD';
DELETE FROM TypeTags WHERE Type='UNIT_PRE_DREADNOUGHT' AND Tag='CLASS_NAVAL_BOMBARD';
DELETE FROM TypeTags WHERE Type='UNIT_BATTLESHIP' AND Tag='CLASS_NAVAL_BOMBARD';
DELETE FROM TypeTags WHERE Type='UNIT_PRIVATEER' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_DESTROYER' AND Tag='CLASS_ANTI_AIR';
DELETE FROM TypeTags WHERE Type='UNIT_TERCIO' AND Tag='CLASS_TERCIO';
DELETE FROM TypeTags WHERE Type='UNIT_MINUTEMAN' AND Tag='CLASS_MINUTEMAN';
DELETE FROM TypeTags WHERE Type='UNIT_CATAPULT' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_BOMBARD' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_BOMBARD' AND Tag='CLASS_FORWARD_OBSERVER';
DELETE FROM TypeTags WHERE Type='UNIT_FIELD_CANNON' AND Tag='CLASS_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_HEAVY_CHARIOT' AND Tag='CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type='UNIT_EGYPTIAN_CHARIOT_ARCHER' AND Tag='CLASS_LIGHT_CHARIOT';
DELETE FROM TypeTags WHERE Type='UNIT_SUMERIAN_WAR_CART' AND Tag='CLASS_HEAVY_CHARIOT';
DELETE FROM TypeTags WHERE Type='UNIT_PRIVATEER' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_PRIVATEER' AND Tag='CLASS_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_ENGLISH_SEADOG' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_ENGLISH_SEADOG' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_SUBMARINE' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_SUBMARINE' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_SUBMARINE' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_GERMAN_UBOAT' AND Tag='CLASS_REVEAL_STEALTH';
DELETE FROM TypeTags WHERE Type='UNIT_GERMAN_UBOAT' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_GERMAN_UBOAT' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_NUCLEAR_SUBMARINE' AND Tag='CLASS_NAVAL_RAIDER';
DELETE FROM TypeTags WHERE Type='UNIT_NUCLEAR_SUBMARINE' AND Tag='CLASS_NAVAL_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_AMERICAN_AH64_APACHE' AND Tag='CLASS_AMERICAN_AH64_APACHE';
DELETE FROM TypeTags WHERE Type='UNIT_TREBUCHET' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_ONAGER' AND Tag='CLASS_SIEGE';
DELETE FROM TypeTags WHERE Type='UNIT_GATLING_GUN' AND Tag='CLASS_ANTI_CAVALRY';
DELETE FROM TypeTags WHERE Type='UNIT_MACHINE_GUN' AND Tag='CLASS_PLUS_10_DEFENDER';
DELETE FROM TypeTags WHERE Type='UNIT_MINUTEMAN' AND Tag='CLASS_MELEE';
DELETE FROM TypeTags WHERE Type='UNIT_BANDEIRANTE' AND Tag='CLASS_RANGED';
--DELETE FROM TypeTags WHERE Type='UNIT_SNIPER' AND Tag='CLASS_RANGED';
DELETE FROM TypeTags WHERE Type='UNIT_SNIPER' AND Tag='CLASS_SNIPER';
DELETE FROM TypeTags WHERE Type='UNIT_MODERN_SNIPER' AND Tag='CLASS_SNIPER';
DELETE FROM TypeTags WHERE Type = 'UNIT_PEZHETAIROS' AND Tag = 'CLASS_PEZHETAIROS';





/* PARKED-UNUSED UNITS */
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_WARRIOR' WHERE Unit='UNIT_LANDSHIP';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_WARRIOR' WHERE Unit='UNIT_WW1_GROUND_ATTACK';
UPDATE UnitUpgrades SET UpgradeUnit='UNIT_WARRIOR' WHERE Unit='UNIT_OBSERVATION_BALLOON';
UPDATE Units SET PrereqTech=NULL WHERE UnitType='UNIT_LANDSHIP';
UPDATE Units SET PrereqTech=NULL WHERE UnitType='UNIT_WW1_GROUND_ATTACK';
UPDATE Units SET PrereqTech=NULL WHERE UnitType='UNIT_OBSERVATION_BALLOON';



