-- Arma_GP_Active
-- Author: Armakoir
-- DateCreated: 11/6/2017 11:17:03 PM
--------------------------------------------------------------

--BOUDICA
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_BOUDICA';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_BOUDICA', 'GP_ARMA_BOUDICA_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_BOUDICA_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_BOUDICA_ACTIVE', 'AbilityType', 'ABILITY_ARMA_BOUDICA_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_BOUDICA_ACTIVE', 'Summary', 'Melee units receive +5 defense in Forests and Jungles');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_BOUDICA_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_BOUDICA_ACTIVE', 'CLASS_MELEE');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_BOUDICA_ACTIVE', 'LOC_ABILITY_ARMA_BOUDICA_ACTIVE_NAME', 'LOC_ABILITY_ARMA_BOUDICA_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_BOUDICA_ACTIVE', 'ARMA_BOUDICA_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_BOUDICA_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_BOUDICA_TERRAIN_REQUIREMENTS', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_BOUDICA_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_BOUDICA_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_BOUDICA_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_BOUDICA_BONUS', 'Preview', '+5 Forest or Jungle defense (Boudica)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_BOUDICA_ACTIVE', 'ARMA_BOUDICA_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_BOUDICA_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_BOUDICA_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_BOUDICA_POPUP', 'Preview', 'Boudica (Legacy)');

--HANNIBAL
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_HANNIBAL_BARCA';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_HANNIBAL_BARCA', 'GP_ARMA_HANNIBAL_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_HANNIBAL_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_HANNIBAL_ACTIVE', 'AbilityType', 'ABILITY_ARMA_HANNIBAL_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_HANNIBAL_ACTIVE', 'Summary', 'Cavalry units ignore movement penalty for Hills');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'CLASS_RANGED_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'LOC_ABILITY_ARMA_HANNIBAL_ACTIVE_NAME', 'LOC_ABILITY_ARMA_HANNIBAL_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'ARMA_HANNIBAL_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_HANNIBAL_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_TERRAIN_COST');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_HANNIBAL_BONUS', 'Ignore', 1);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_HANNIBAL_BONUS', 'Type', 'HILLS');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_HANNIBAL_ACTIVE', 'ARMA_HANNIBAL_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_HANNIBAL_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_HANNIBAL_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_HANNIBAL_POPUP', 'Preview', 'Hannibal (Legacy)');

--SUN TZU
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_SUN_TZU';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_SUN_TZU', 'GP_ARMA_SUN_TZU_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_SUN_TZU_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_SUN_TZU_ACTIVE', 'AbilityType', 'ABILITY_ARMA_SUN_TZU_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_SUN_TZU_ACTIVE', 'Summary', 'Recon, Light, and Ranged Cavalry gain Unobstructed View');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'CLASS_RANGED_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'LOC_ABILITY_ARMA_SUN_TZU_ACTIVE_NAME', 'LOC_ABILITY_ARMA_SUN_TZU_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'ARMA_SUN_TZU_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_SUN_TZU_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_SEE_THROUGH_FEATURES');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_SUN_TZU_BONUS', 'CanSee', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_SUN_TZU_ACTIVE', 'ARMA_SUN_TZU_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_SUN_TZU_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_SUN_TZU_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_SUN_TZU_POPUP', 'Preview', 'Sun Tzu (Legacy)');

--AETHELFLAED
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_AETHELFLAED';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_AETHELFLAED', 'GP_ARMA_AETHELFLAED_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_AETHELFLAED_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_AETHELFLAED_ACTIVE', 'AbilityType', 'ABILITY_ARMA_AETHELFLAED_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_AETHELFLAED_ACTIVE', 'Summary', 'Land units receive +5 [ICON_Strength] near Forts');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_RANGED');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_BATTERING_RAM');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'CLASS_RANGED_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'LOC_ABILITY_ARMA_AETHELFLAED_ACTIVE_NAME', 'LOC_ABILITY_ARMA_AETHELFLAED_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'ARMA_AETHELFLAED_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_AETHELFLAED_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_AETHELFLAED_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_AETHELFLAED_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_AETHELFLAED_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_AETHELFLAED_BONUS', 'Preview', '+5 near Fort (Aethelflaed)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_AETHELFLAED_ACTIVE', 'ARMA_AETHELFLAED_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_AETHELFLAED_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_AETHELFLAED_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_AETHELFLAED_POPUP', 'Preview', 'Aethelflaed (Legacy)');

--EL CID
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_EL_CID';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_EL_CID', 'GP_ARMA_EL_CID_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_EL_CID_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_EL_CID_ACTIVE', 'AbilityType', 'ABILITY_ARMA_EL_CID_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_EL_CID_ACTIVE', 'Summary', 'Melee and Heavy Cavalry receive +5 attack');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_EL_CID_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_EL_CID_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_EL_CID_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_EL_CID_ACTIVE', 'LOC_ABILITY_ARMA_EL_CID_ACTIVE_NAME', 'LOC_ABILITY_ARMA_EL_CID_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_EL_CID_ACTIVE', 'ARMA_EL_CID_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_EL_CID_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_EL_CID_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_EL_CID_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_EL_CID_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_EL_CID_BONUS', 'Preview', '+5 attack (El Cid)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_EL_CID_ACTIVE', 'ARMA_EL_CID_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_EL_CID_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_EL_CID_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_EL_CID_POPUP', 'Preview', 'El Cid (Legacy)');

--GENGHIS KHAN
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_GENGHIS_KHAN';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_GENGHIS_KHAN', 'GP_ARMA_GENGHIS_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_GENGHIS_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_GENGHIS_ACTIVE', 'AbilityType', 'ABILITY_ARMA_GENGHIS_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_GENGHIS_ACTIVE', 'Summary', 'Cavalry units may attack and then move');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'CLASS_RANGED_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'LOC_ABILITY_ARMA_GENGHIS_ACTIVE_NAME', 'LOC_ABILITY_ARMA_GENGHIS_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'ARMA_GENGHIS_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_GENGHIS_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_ATTACK_AND_MOVE');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_GENGHIS_BONUS', 'CanMove', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_GENGHIS_ACTIVE', 'ARMA_GENGHIS_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_GENGHIS_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_GENGHIS_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_GENGHIS_POPUP', 'Preview', 'Genghis Khan (Legacy)');

--ADOLPHUS
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_GUSTAVUS_ADOLPHUS';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_GUSTAVUS_ADOLPHUS', 'GP_ARMA_ADOLPHUS_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_ADOLPHUS_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_ADOLPHUS_ACTIVE', 'AbilityType', 'ABILITY_ARMA_ADOLPHUS_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_ADOLPHUS_ACTIVE', 'Summary', 'Siege units may move and shoot');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_ADOLPHUS_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_ADOLPHUS_ACTIVE', 'CLASS_SIEGE');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_ADOLPHUS_ACTIVE', 'LOC_ABILITY_ARMA_ADOLPHUS_ACTIVE_NAME', 'LOC_ABILITY_ARMA_ADOLPHUS_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_ADOLPHUS_ACTIVE', 'ARMA_ADOLPHUS_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_ADOLPHUS_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_MOVE_AND_ATTACK');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_ADOLPHUS_BONUS', 'CanAttack', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_ADOLPHUS_ACTIVE', 'ARMA_ADOLPHUS_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_ADOLPHUS_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_ADOLPHUS_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_ADOLPHUS_POPUP', 'Preview', 'Adolphus (Legacy)');

--JOAN OF ARC
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_JOAN_OF_ARC';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_JOAN_OF_ARC', 'GP_ARMA_JOAN_OF_ARC_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_JOAN_OF_ARC_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_JOAN_OF_ARC_ACTIVE', 'AbilityType', 'ABILITY_ARMA_JOAN_OF_ARC_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_JOAN_OF_ARC_ACTIVE', 'Summary', 'Protective Land units receive +5 additional healing per turn');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'LOC_ABILITY_ARMA_JOAN_OF_ARC_ACTIVE_NAME', 'LOC_ABILITY_ARMA_JOAN_OF_ARC_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'ARMA_JOAN_OF_ARC_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_JOAN_OF_ARC_BONUS', 'MODIFIER_PLAYER_UNITS_ADJUST_HEAL_PER_TURN');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_JOAN_OF_ARC_BONUS', 'Amount', 5);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_JOAN_OF_ARC_ACTIVE', 'ARMA_JOAN_OF_ARC_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_JOAN_OF_ARC_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_JOAN_OF_ARC_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_JOAN_OF_ARC_POPUP', 'Preview', 'Joan of Arc (Legacy)');

--ANA NZINGA
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_ANA_NZINGA';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_ANA_NZINGA', 'GP_ARMA_ALLOW_PIKE_AND_SHOT', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_ALLOW_PIKE_AND_SHOT', 'MODIFIER_PLAYER_RELIGION_ADD_RELIGIOUS_UNIT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_ALLOW_PIKE_AND_SHOT', 'UnitType', 'UNIT_PIKE_AND_SHOT');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_ALLOW_PIKE_AND_SHOT', 'Summary', 'Unlocks the Land unit Pike and Shot');


--NAPOLEON
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_NAPOLEON_BONAPARTE';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_NAPOLEON_BONAPARTE', 'GP_ARMA_NAPOLEON_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_NAPOLEON_ACTIVE', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_NAPOLEON_ACTIVE', 'Amount', 1);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_NAPOLEON_ACTIVE', 'Summary', 'Reduced maintenance for military units');

--LAKSHMIBAI
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_RANI_LAKSHMIBAI';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_RANI_LAKSHMIBAI', 'GP_ARMA_LAKSHMIBAI_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_LAKSHMIBAI_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_LAKSHMIBAI_ACTIVE', 'AbilityType', 'ABILITY_ARMA_LAKSHMIBAI_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_LAKSHMIBAI_ACTIVE', 'Summary', 'Melee units receive +5 defense in friendly territory');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_LAKSHMIBAI_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_LAKSHMIBAI_ACTIVE', 'CLASS_MELEE');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_LAKSHMIBAI_ACTIVE', 'LOC_ABILITY_ARMA_LAKSHMIBAI_ACTIVE_NAME', 'LOC_ABILITY_ARMA_LAKSHMIBAI_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_LAKSHMIBAI_ACTIVE', 'ARMA_LAKSHMIBAI_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_LAKSHMIBAI_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_LAKSHMIBAI_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_LAKSHMIBAI_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_LAKSHMIBAI_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_LAKSHMIBAI_BONUS', 'Preview', '+5 defence (Lakshmibai)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_LAKSHMIBAI_ACTIVE', 'ARMA_LAKSHMIBAI_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_LAKSHMIBAI_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_LAKSHMIBAI_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_LAKSHMIBAI_POPUP', 'Preview', 'Lakshmibai (Legacy)');

--BOLIVAR
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_SIMON_BOLIVAR';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_SIMON_BOLIVAR', 'GP_ARMA_ALLOW_LANCER', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_ALLOW_LANCER', 'MODIFIER_PLAYER_RELIGION_ADD_RELIGIOUS_UNIT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_ALLOW_LANCER', 'UnitType', 'UNIT_LANCER');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_ALLOW_LANCER', 'Summary', 'Unlocks the Land unit Lancer');

--JOHN MONASH
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_JOHN_MONASH';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_JOHN_MONASH', 'GP_ARMA_MONASH_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_MONASH_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_MONASH_ACTIVE', 'AbilityType', 'ABILITY_ARMA_MONASH_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_MONASH_ACTIVE', 'Summary', 'Melee and Recon units receive +1 sight range');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_MONASH_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_MONASH_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_MONASH_ACTIVE', 'CLASS_RECON');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_MONASH_ACTIVE', 'LOC_ABILITY_ARMA_MONASH_ACTIVE_NAME', 'LOC_ABILITY_ARMA_MONASH_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_MONASH_ACTIVE', 'ARMA_MONASH_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_MONASH_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_SIGHT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_MONASH_BONUS', 'Amount', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_MONASH_ACTIVE', 'ARMA_MONASH_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_MONASH_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_MONASH_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_MONASH_POPUP', 'Preview', 'John Monash (Legacy)');

--RASKOVA
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_MARINA_RASKOVA';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_MARINA_RASKOVA', 'GP_ARMA_RASKOVA_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_RASKOVA_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_RASKOVA_ACTIVE', 'AbilityType', 'ABILITY_ARMA_RASKOVA_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_RASKOVA_ACTIVE', 'Summary', 'Air units receive +1 flight range');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_RASKOVA_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_RASKOVA_ACTIVE', 'CLASS_AIRCRAFT');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_RASKOVA_ACTIVE', 'LOC_ABILITY_ARMA_RASKOVA_ACTIVE_NAME', 'LOC_ABILITY_ARMA_RASKOVA_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_RASKOVA_ACTIVE', 'ARMA_RASKOVA_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_RASKOVA_BONUS', 'MODIFIER_UNIT_ADJUST_ATTACK_RANGE');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_RASKOVA_BONUS', 'Amount', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_RASKOVA_ACTIVE', 'ARMA_RASKOVA_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_RASKOVA_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_RASKOVA_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_RASKOVA_POPUP', 'Preview', 'Marina Raskova (Legacy)');

--SAMORI TURE
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_SAMORI_TURE';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_SAMORI_TURE', 'GP_ARMA_SAMORI_TURE_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_SAMORI_TURE_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_SAMORI_TURE_ACTIVE', 'AbilityType', 'ABILITY_ARMA_SAMORI_TURE_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_SAMORI_TURE_ACTIVE', 'Summary', 'Recon units receive +1 movement');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_SAMORI_TURE_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_SAMORI_TURE_ACTIVE', 'CLASS_RECON');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_SAMORI_TURE_ACTIVE', 'LOC_ABILITY_ARMA_SAMORI_TURE_ACTIVE_NAME', 'LOC_ABILITY_ARMA_SAMORI_TURE_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_SAMORI_TURE_ACTIVE', 'ARMA_SAMORI_TURE_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_SAMORI_TURE_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_SAMORI_TURE_BONUS', 'Amount', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_SAMORI_TURE_ACTIVE', 'ARMA_SAMORI_TURE_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_SAMORI_TURE_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_SAMORI_TURE_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_SAMORI_TURE_POPUP', 'Preview', 'Samori Ture (Legacy)');

--EISENHOWER
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_DWIGHT_EISENHOWER';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_DWIGHT_EISENHOWER', 'GP_ARMA_EISENHOWER_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_EISENHOWER_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_EISENHOWER_ACTIVE', 'AbilityType', 'ABILITY_ARMA_EISENHOWER_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_EISENHOWER_ACTIVE', 'Summary', 'Melee and Heavy Cavalry units receive +5 attack on foreign continents');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_EISENHOWER_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_EISENHOWER_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_EISENHOWER_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_EISENHOWER_ACTIVE', 'LOC_ABILITY_ARMA_EISENHOWER_ACTIVE_NAME', 'LOC_ABILITY_ARMA_EISENHOWER_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_EISENHOWER_ACTIVE', 'ARMA_EISENHOWER_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_EISENHOWER_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_EISENHOWER_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_EISENHOWER_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_EISENHOWER_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_EISENHOWER_BONUS', 'Preview', '+5 attack (Eisenhower)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_EISENHOWER_ACTIVE', 'ARMA_EISENHOWER_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_EISENHOWER_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_EISENHOWER_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_EISENHOWER_POPUP', 'Preview', 'Eisenhower (Legacy)');

--ZHUKOV
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_GEORGY_ZHUKOV';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_GEORGY_ZHUKOV', 'GP_ARMA_ALLOW_ROCKET_ARTILLERY', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_ALLOW_ROCKET_ARTILLERY', 'MODIFIER_PLAYER_RELIGION_ADD_RELIGIOUS_UNIT');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_ALLOW_ROCKET_ARTILLERY', 'UnitType', 'UNIT_ROCKET_ARTILLERY');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_ALLOW_ROCKET_ARTILLERY', 'Summary', 'Unlocks the Land unit Rocket Artillery');

--MACARTHUR
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_DOUGLAS_MACARTHUR';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_DOUGLAS_MACARTHUR', 'GP_ARMA_MACARTHUR_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_MACARTHUR_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_MACARTHUR_ACTIVE', 'AbilityType', 'ABILITY_ARMA_MACARTHUR_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_MACARTHUR_ACTIVE', 'Summary', 'Melee and Recon units ignore combat penalty for amphibious assaults');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_MACARTHUR_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_MACARTHUR_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_MACARTHUR_ACTIVE', 'CLASS_RECON');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_MACARTHUR_ACTIVE', 'LOC_ABILITY_ARMA_MACARTHUR_ACTIVE_NAME', 'LOC_ABILITY_ARMA_MACARTHUR_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_MACARTHUR_ACTIVE', 'ARMA_MACARTHUR_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_MACARTHUR_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_SHORES');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_MACARTHUR_BONUS', 'Ignore', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_MACARTHUR_ACTIVE', 'ARMA_MACARTHUR_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_MACARTHUR_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_MACARTHUR_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_MACARTHUR_POPUP', 'Preview', 'MacArthur (Legacy)');

--SUDIRMAN
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_SUDIRMAN';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_SUDIRMAN', 'GP_ARMA_SUDIRMAN_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_SUDIRMAN_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_SUDIRMAN_ACTIVE', 'AbilityType', 'ABILITY_ARMA_SUDIRMAN_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_SUDIRMAN_ACTIVE', 'Summary', '+5 attack for Melee and Siege units versus districts');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_SUDIRMAN_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_SUDIRMAN_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_SUDIRMAN_ACTIVE', 'CLASS_BATTERING_RAM');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_SUDIRMAN_ACTIVE', 'LOC_ABILITY_ARMA_SUDIRMAN_ACTIVE_NAME', 'LOC_ABILITY_ARMA_SUDIRMAN_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_SUDIRMAN_ACTIVE', 'ARMA_SUDIRMAN_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_SUDIRMAN_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_SUDIRMAN_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_SUDIRMAN_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_SUDIRMAN_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_SUDIRMAN_BONUS', 'Preview', '+5 attack (Sudirman)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_SUDIRMAN_ACTIVE', 'ARMA_SUDIRMAN_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_SUDIRMAN_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_SUDIRMAN_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_SUDIRMAN_POPUP', 'Preview', 'Sudirman (Legacy)');

--MASSOUD
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_AHMAD_SHAH_MASSOUD';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_AHMAD_SHAH_MASSOUD', 'GP_ARMA_MASSOUD_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_MASSOUD_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_MASSOUD_ACTIVE', 'AbilityType', 'ABILITY_ARMA_MASSOUD_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_MASSOUD_ACTIVE', 'Summary', 'Ranged units gain Stealth');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_MASSOUD_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_MASSOUD_ACTIVE', 'CLASS_RANGED');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_MASSOUD_ACTIVE', 'LOC_ABILITY_ARMA_MASSOUD_ACTIVE_NAME', 'LOC_ABILITY_ARMA_MASSOUD_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_MASSOUD_ACTIVE', 'ARMA_MASSOUD_BONUS');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_MASSOUD_BONUS', 'MODIFIER_PLAYER_UNIT_ADJUST_HIDDEN_VISIBILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_MASSOUD_BONUS', 'Hidden', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_MASSOUD_ACTIVE', 'ARMA_MASSOUD_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('ARMA_MASSOUD_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_MASSOUD_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_MASSOUD_POPUP', 'Preview', 'Massoud (Legacy)');

--WIMALARATNE
DELETE FROM GreatPersonIndividualActionModifiers WHERE GreatPersonIndividualType = 'GREAT_PERSON_INDIVIDUAL_VIJAYA_WIMALARATNE';
INSERT INTO GreatPersonIndividualActionModifiers (GreatPersonIndividualType, ModifierId, AttachmentTargetType) VALUES ('GREAT_PERSON_INDIVIDUAL_VIJAYA_WIMALARATNE', 'GP_ARMA_WIMALARATNE_ACTIVE', 'GREAT_PERSON_ACTION_ATTACHMENT_TARGET_PLAYER');
INSERT INTO Modifiers (ModifierId, ModifierType) VALUES ('GP_ARMA_WIMALARATNE_ACTIVE', 'MODIFIER_PLAYER_UNITS_GRANT_ABILITY');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('GP_ARMA_WIMALARATNE_ACTIVE', 'AbilityType', 'ABILITY_ARMA_WIMALARATNE_ACTIVE');
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('GP_ARMA_WIMALARATNE_ACTIVE', 'Summary', 'Melee, Recon, and Heavy Cavalry units gain +5 attack into Forests and Jungles');
INSERT INTO Types (Type, Kind) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'KIND_ABILITY');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'CLASS_MELEE');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'CLASS_RECON');
INSERT INTO TypeTags (Type, Tag) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'CLASS_HEAVY_CAVALRY');
INSERT INTO UnitAbilities (UnitAbilityType, Name, Description, Inactive) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'LOC_ABILITY_ARMA_WIMALARATNE_ACTIVE_NAME', 'LOC_ABILITY_ARMA_WIMALARATNE_ACTIVE_DESCRIPTION', 1);
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'ARMA_WIMALARATNE_BONUS');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_WIMALARATNE_BONUS_REQUIREMENTS', 'REQUIREMENTSET_TEST_ALL');
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES ('ARMA_WIMALARATNE_TERRAIN_REQUIREMENTS', 'REQUIREMENTSET_TEST_ANY');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_WIMALARATNE_BONUS', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 'ARMA_WIMALARATNE_BONUS_REQUIREMENTS');
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_WIMALARATNE_BONUS', 'Amount', 5);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_WIMALARATNE_BONUS', 'Preview', '+5 attack (Wimalaratne)');
INSERT INTO UnitAbilityModifiers (UnitAbilityType, ModifierId) VALUES ('ABILITY_ARMA_WIMALARATNE_ACTIVE', 'ARMA_WIMALARATNE_POPUP');
INSERT INTO Modifiers (ModifierId, ModifierType, SubjectRequirementSetId) VALUES ('ARMA_WIMALARATNE_POPUP', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', null);
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES ('ARMA_WIMALARATNE_POPUP', 'Amount', 0);
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES ('ARMA_WIMALARATNE_POPUP', 'Preview', 'Wimalaratne (Legacy)');


INSERT INTO RequirementSetRequirements
		(RequirementSetId,								RequirementId)
VALUES
		('ARMA_BOUDICA_BONUS_REQUIREMENTS',					'PLAYER_IS_DEFENDER_REQUIREMENTS'),
		('ARMA_BOUDICA_BONUS_REQUIREMENTS',					'ARMA_BOUDICA_TERRAIN_REQUIREMENT_MET'),
		('ARMA_BOUDICA_TERRAIN_REQUIREMENTS',				'PLOT_IS_FOREST_REQUIREMENT'),
		('ARMA_BOUDICA_TERRAIN_REQUIREMENTS',				'PLOT_IS_JUNGLE_REQUIREMENT'),
		('ARMA_AETHELFLAED_BONUS_REQUIREMENTS',				'ARMA_UNIT_NEARBY_FORT_REQUIREMENT'),
		('ARMA_EL_CID_BONUS_REQUIREMENTS',					'PLAYER_IS_ATTACKER_REQUIREMENTS'),
		('ARMA_LAKSHMIBAI_BONUS_REQUIREMENTS',				'PLAYER_IS_DEFENDER_REQUIREMENTS'),
		('ARMA_LAKSHMIBAI_BONUS_REQUIREMENTS',				'UNIT_IN_OWNER_TERRITORY_REQUIREMENT'),
		('ARMA_EISENHOWER_BONUS_REQUIREMENTS',				'PLAYER_IS_ATTACKER_REQUIREMENTS'),
		('ARMA_EISENHOWER_BONUS_REQUIREMENTS',				'NOT_OWNER_CAPITAL_CONTINENT_REQUIREMENT'),
		('ARMA_SUDIRMAN_BONUS_REQUIREMENTS',				'PLAYER_IS_ATTACKER_REQUIREMENTS'),
		('ARMA_SUDIRMAN_BONUS_REQUIREMENTS',				'DEFENDER_IS_OCCUPYING_DISTRICT_REQUIREMENT'),
		--('MASSOUD_BONUS_REQUIREMENTS',						'PLOT_IS_HILLS_REQUIREMENT'),
		('ARMA_WIMALARATNE_BONUS_REQUIREMENTS',				'PLAYER_IS_ATTACKER_REQUIREMENTS'),
		('ARMA_WIMALARATNE_BONUS_REQUIREMENTS',				'ARMA_WIMALARATNE_TERRAIN_REQUIREMENT_MET'),
		('ARMA_WIMALARATNE_TERRAIN_REQUIREMENTS',			'PLOT_IS_FOREST_REQUIREMENT'),
		('ARMA_WIMALARATNE_TERRAIN_REQUIREMENTS',			'PLOT_IS_JUNGLE_REQUIREMENT');





INSERT INTO Requirements
		(RequirementId,											RequirementType)
VALUES
		('ARMA_BOUDICA_TERRAIN_REQUIREMENT_MET',				'REQUIREMENT_REQUIREMENTSET_IS_MET'),
		('ARMA_UNIT_NEARBY_FORT_REQUIREMENT',					'REQUIREMENT_PLOT_ADJACENT_IMPROVEMENT_TYPE_MATCHES'),
		('ARMA_WIMALARATNE_TERRAIN_REQUIREMENT_MET',			'REQUIREMENT_REQUIREMENTSET_IS_MET');



INSERT INTO RequirementArguments
		(RequirementId,										Name,								Value)
VALUES
		('ARMA_BOUDICA_TERRAIN_REQUIREMENT_MET',			'RequirementSetId',					'ARMA_BOUDICA_BONUS_REQUIREMENTS'),
		('ARMA_UNIT_NEARBY_FORT_REQUIREMENT',				'ImprovementType',					'IMPROVEMENT_FORT'),
		('ARMA_UNIT_NEARBY_FORT_REQUIREMENT',				'MinRange',							0),
		('ARMA_UNIT_NEARBY_FORT_REQUIREMENT',				'MaxRange',							2),
		('ARMA_WIMALARATNE_TERRAIN_REQUIREMENT_MET',		'RequirementSetId',					'ARMA_WIMALARATNE_BONUS_REQUIREMENTS');