-- Arma Stat Changes
-- Author: Armakoir
-- DateCreated: 9/10/2017 9:20:02 PM

-- Load Priority 399
--------------------------------------------------------------

/* FILE INDEX:
			*/

UPDATE Units SET RangedCombat=0 WHERE RangedCombat >= 0 AND Domain = 'DOMAIN_LAND';
UPDATE Units SET RangedCombat=0 WHERE RangedCombat >= 0 AND Domain = 'DOMAIN_SEA';
UPDATE Units SET Bombard=0 WHERE Bombard >= 0 AND Domain = 'DOMAIN_SEA';
UPDATE Units SET Range=0 WHERE Range >= 0 AND Domain = 'DOMAIN_LAND';
UPDATE Units SET Range=0 WHERE Range >= 0 AND Domain = 'DOMAIN_SEA';
UPDATE Units SET BaseSightRange=1 WHERE BaseSightRange >= 1 AND Domain = 'DOMAIN_LAND';
UPDATE Units SET BaseSightRange=1 WHERE BaseSightRange >= 1 AND Domain = 'DOMAIN_SEA';

/*							*/
/* PROMOTION_CLASS_MELEE	*/
/*							*/
UPDATE Units SET Combat='20'																				WHERE UnitType='UNIT_WARRIOR';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_HEAVY_INFANTRY' WHERE Unit='UNIT_WARRIOR';
UPDATE Units SET Combat='25'																				WHERE UnitType='UNIT_AZTEC_EAGLE_WARRIOR';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SPEARMAN' WHERE Unit='UNIT_AZTEC_EAGLE_WARRIOR';
UPDATE Units SET Combat='26', Cost='65', PrereqTech='TECH_BRONZE_WORKING'									WHERE UnitType='UNIT_HEAVY_INFANTRY';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_MELEE' WHERE UnitType='UNIT_HEAVY_INFANTRY';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SPEARMAN' WHERE Unit='UNIT_HEAVY_INFANTRY';
UPDATE Units SET Combat='26', PromotionClass='PROMOTION_CLASS_MELEE', StrategicResource=NULL			WHERE UnitType='UNIT_PEZHETAIROS';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SPEARMAN' WHERE Unit='UNIT_PEZHETAIROS';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_HEAVY_INFANTRY' WHERE CivUniqueUnitType='UNIT_PEZHETAIROS';
UPDATE Units SET Combat='26', PromotionClass='PROMOTION_CLASS_MELEE'									WHERE UnitType='UNIT_PHALANX';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SPEARMAN' WHERE Unit='UNIT_PHALANX';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_HEAVY_INFANTRY' WHERE CivUniqueUnitType='UNIT_PHALANX';
UPDATE Units SET Combat='26', PromotionClass='PROMOTION_CLASS_MELEE'									WHERE UnitType='UNIT_GREEK_HOPLITE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SPEARMAN' WHERE Unit='UNIT_GREEK_HOPLITE';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_HEAVY_INFANTRY' WHERE CivUniqueUnitType='UNIT_GREEK_HOPLITE';
UPDATE Units SET Combat='37', Cost='100', PrereqTech='TECH_CONSTRUCTION'								WHERE UnitType='UNIT_SPEARMAN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_MELEE' WHERE UnitType='UNIT_SPEARMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_PIKEMAN' WHERE Unit='UNIT_SPEARMAN';
UPDATE Units SET Combat='44', PromotionClass='PROMOTION_CLASS_MELEE'									WHERE UnitType='UNIT_PIKEMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_PIKEMAN';
UPDATE Units SET Combat='44', PromotionClass='PROMOTION_CLASS_MELEE', MustPurchase='0'					WHERE UnitType='UNIT_LANDSKNECHT';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_LANDSKNECHT';
UPDATE Units SET Combat='40', PromotionClass='PROMOTION_CLASS_MELEE'									WHERE UnitType='UNIT_SOHEI';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_SOHEI';

UPDATE Units SET Combat='28', Cost='120'																WHERE UnitType='UNIT_SWORDSMAN';
UPDATE Units SET Combat='26', Cost='120', StrategicResource=NULL, Range='1', RangedCombat='29'		WHERE UnitType='UNIT_PERSIAN_IMMORTAL';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MACEMAN' WHERE Unit='UNIT_PERSIAN_IMMORTAL';
	--UPDATE TypeTags SET Tag='CLASS_IRREGULAR' WHERE Type='UNIT_PERSIAN_IMMORTAL' AND Tag='CLASS_RANGED';
UPDATE Units SET Combat='28', Cost='120', StrategicResource=NULL										WHERE UnitType='UNIT_JAGUAR';
UPDATE Units SET Combat='34', Cost='120', StrategicResource=NULL										WHERE UnitType='UNIT_MACEDONIAN_HYPASPIST';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_SWORDSMAN' WHERE CivUniqueUnitType='UNIT_MACEDONIAN_HYPASPIST';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_PIKEMAN' WHERE Unit='UNIT_MACEDONIAN_HYPASPIST';
UPDATE Units SET Combat='28', Cost='120'																WHERE UnitType='UNIT_HIRDMAN';
UPDATE Units SET Combat='28', Cost='120'																WHERE UnitType='UNIT_ROMAN_LEGION';
UPDATE Units SET Combat='28', Cost='120'																WHERE UnitType='UNIT_KONGO_SHIELD_BEARER';
UPDATE Units SET Combat='28', Cost='120'																WHERE UnitType='UNIT_VULTURE';
UPDATE Units SET Combat='38', Cost='180'																WHERE UnitType='UNIT_MACEMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_MACEMAN';
UPDATE Units SET Combat='42', Cost='200', PrereqTech='TECH_CASTLES'									WHERE UnitType='UNIT_JAPANESE_SAMURAI';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_JAPANESE_SAMURAI';
UPDATE Units SET Combat='38', Cost='180'																WHERE UnitType='UNIT_GHAZI';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_GHAZI';
UPDATE Units SET Combat='38', Cost='180', PrereqTech='TECH_CASTLES'									WHERE UnitType='UNIT_NORWEGIAN_BERSERKER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MUSKETMAN' WHERE Unit='UNIT_NORWEGIAN_BERSERKER';

UPDATE Units SET Combat='48'																				WHERE UnitType='UNIT_MUSKETMAN';
UPDATE Units SET Combat='48', StrategicResource=NULL														WHERE UnitType='UNIT_CHOSEN_INFANTRY';
UPDATE Units SET Combat='48', StrategicResource=NULL														WHERE UnitType='UNIT_JANISSARY';
UPDATE Units SET Combat='48'																				WHERE UnitType='UNIT_FRENCH_MARINE';
UPDATE Units SET Combat='48', Cost='240', PromotionClass='PROMOTION_CLASS_MELEE'							WHERE UnitType='UNIT_TERCIO';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_TERCIO';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_MUSKETMAN' WHERE CivUniqueUnitType='UNIT_TERCIO';
UPDATE Units SET Combat='49', Cost='240', PrereqTech=NULL, EnabledByReligion='1'							WHERE UnitType='UNIT_PIKE_AND_SHOT';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_MELEE' WHERE UnitType='UNIT_PIKE_AND_SHOT';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RIFLEMAN' WHERE Unit='UNIT_PIKE_AND_SHOT';
UPDATE Units SET Combat='55', PrereqTech='TECH_BALLISTICS'												WHERE UnitType='UNIT_RIFLEMAN';
UPDATE Units SET Combat='55', PrereqTech='TECH_BALLISTICS'												WHERE UnitType='UNIT_FATHERLAND_VOLUNTEER';
UPDATE Units SET Combat='55', PrereqTech='TECH_BALLISTICS'												WHERE UnitType='UNIT_SEPOY';
UPDATE Units SET Combat='55', PrereqTech='TECH_BALLISTICS'												WHERE UnitType='UNIT_ARMATOLOS';
UPDATE Units SET Combat='55', PrereqTech='TECH_BALLISTICS'												WHERE UnitType='UNIT_ENGLISH_REDCOAT';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_INFANTRY' WHERE Unit='UNIT_ENGLISH_REDCOAT';
UPDATE Units SET Combat='55', PrereqTech='TECH_BALLISTICS'												WHERE UnitType='UNIT_FRENCH_GARDE_IMPERIALE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_INFANTRY' WHERE Unit='UNIT_FRENCH_GARDE_IMPERIALE';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_RIFLEMAN' WHERE CivUniqueUnitType='UNIT_FRENCH_GARDE_IMPERIALE';
/*INSTALL +5 BETTER WEAPONS AT BALLISTICS FOR RIFLEMAN GROUP */
UPDATE Units SET Combat='62', Cost='380', PrereqTech='TECH_SANITATION'									WHERE UnitType='UNIT_INFANTRY';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MOTORISED_INFANTRY' WHERE Unit='UNIT_INFANTRY';
UPDATE Units SET Combat='62', StrategicResource=NULL													WHERE UnitType='UNIT_DIGGER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MOTORISED_INFANTRY' WHERE Unit='UNIT_DIGGER';
/*INSTALL +5 BETTER WEAPONS AT RADIO FOR INFANTRY GROUP */
UPDATE Units SET Combat='75'																			WHERE UnitType='UNIT_MOTORISED_INFANTRY';

UPDATE Units SET BaseMoves='4' WHERE PromotionClass='PROMOTION_CLASS_MELEE';
UPDATE Units SET ZoneOfControl='1' WHERE PromotionClass='PROMOTION_CLASS_MELEE';
UPDATE Units SET FormationClass='FORMATION_CLASS_LAND_COMBAT' WHERE PromotionClass='PROMOTION_CLASS_MELEE';
UPDATE Units SET BaseMoves='5', Combat='80', PrereqTech=NULL, PrereqCivic='CIVIC_RAPID_DEPLOYMENT'	WHERE UnitType='UNIT_MECHANIZED_INFANTRY';
UPDATE Units SET BaseMoves='5', Combat='80', PrereqTech=NULL, PrereqCivic='CIVIC_RAPID_DEPLOYMENT'	WHERE UnitType='UNIT_GARDE_REPUBLICAINE';
/*INSTALL SPECIALIZATION PROMOTION AT CREATION */


/*							*/
/* PROMOTION_CLASS_ANTICAV	*/
/*							*/
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT', Combat='60'										WHERE UnitType='UNIT_AT_CREW';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT', Combat='65', Cost='450', PrereqTech='TECH_COMBUSTION'	WHERE UnitType='UNIT_TANK_DESTROYER';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT', Combat='77', PrereqTech='TECH_GUIDANCE_SYSTEMS' WHERE UnitType='UNIT_MODERN_AT';
UPDATE Units SET BaseMoves='4' WHERE PromotionClass='PROMOTION_CLASS_ANTI_CAVALRY';
UPDATE Units SET ZoneOfControl='1' WHERE PromotionClass='PROMOTION_CLASS_ANTI_CAVALRY';


/*							*/
/* PROMOTION_CLASS_RECON	*/
/*							*/
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT', Combat='10'										WHERE UnitType='UNIT_SCOUT';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT', Combat='15'										WHERE UnitType='UNIT_AMAZON_SCOUT';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT', Combat='34', Cost='180'							WHERE UnitType='UNIT_EXPLORER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARCHAEOLOGIST' WHERE Unit='UNIT_EXPLORER';
UPDATE Units SET Cost='200', Combat='40', PrereqTech='TECH_CARTOGRAPHY'									WHERE UnitType='UNIT_SPANISH_CONQUISTADOR';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RANGER' WHERE Unit='UNIT_SPANISH_CONQUISTADOR';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_EXPLORER' WHERE CivUniqueUnitType='UNIT_SPANISH_CONQUISTADOR';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RECON' WHERE UnitType='UNIT_SPANISH_CONQUISTADOR';
UPDATE Units SET Combat='50'																					WHERE UnitType='UNIT_RANGER'; 
UPDATE Units SET Combat='50', PrereqTech='TECH_RIFLING'														WHERE UnitType='UNIT_MINUTEMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_RECON' WHERE Unit='UNIT_MINUTEMAN';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_RANGER' WHERE CivUniqueUnitType='UNIT_MINUTEMAN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RECON' WHERE UnitType='UNIT_MINUTEMAN';
UPDATE Units SET Combat='45', Cost='240'																	WHERE UnitType='UNIT_BANDEIRANTE';
UPDATE Units SET Combat='60', PrereqTech='TECH_RADIO'														WHERE UnitType='UNIT_RECON';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MODERN_SNIPER' WHERE Unit='UNIT_RECON';
UPDATE Units SET Combat='70', PrereqTech='TECH_SATELLITES'													WHERE UnitType='UNIT_MODERN_SNIPER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RECON' WHERE UnitType='UNIT_MODERN_SNIPER';
UPDATE Units SET Combat='65', BaseSightRange='2', StrategicResource=NULL									WHERE UnitType='UNIT_SASR';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_MODERN_SNIPER' WHERE CivUniqueUnitType='UNIT_SASR';
	UPDATE TypeTags SET Tag='CLASS_SASR_ARMA' WHERE Type='UNIT_SASR' AND Tag='CLASS_SASR';

UPDATE Units SET Combat='70', BaseSightRange='2', Cost='300', PrereqTech='TECH_ADVANCED_BALLISTICS', ZoneOfControl='0' WHERE UnitType='UNIT_SNIPER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RECON' WHERE UnitType='UNIT_SNIPER';
	UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE UnitType='UNIT_SNIPER';

UPDATE Units SET BaseMoves='4' WHERE PromotionClass='PROMOTION_CLASS_RECON';
UPDATE Units SET BaseSightRange='2' WHERE PromotionClass='PROMOTION_CLASS_RECON';
UPDATE Units SET ZoneOfControl='0' WHERE PromotionClass='PROMOTION_CLASS_RECON';



/*							*/
/* PROMOTION_CLASS_RANGED	*/
/*							*/
UPDATE Units SET Combat='15'																					WHERE UnitType='UNIT_SLINGER';
UPDATE Units SET Combat='15', StrategicResource=NULL															WHERE UnitType='UNIT_WOOMERA';
UPDATE Units SET Combat='22', Cost='50'																			WHERE UnitType='UNIT_ARCHER';
UPDATE Units SET Combat='22', BaseMoves='5', BaseSightRange='2'													WHERE UnitType='UNIT_NUBIAN_PITATI';
UPDATE Units SET Combat='26', Cost='50'																			WHERE UnitType='UNIT_PELTAST';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CROSSBOWMAN' WHERE Unit='UNIT_PELTAST';
UPDATE Units SET Combat='26', Cost='50'																			WHERE UnitType='UNIT_HYKSOS_BOWMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CROSSBOWMAN' WHERE Unit='UNIT_HYKSOS_BOWMAN';
UPDATE Units SET Combat='27'																					WHERE UnitType='UNIT_COMPOSITE_BOWMAN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RANGED' WHERE UnitType='UNIT_COMPOSITE_BOWMAN';
UPDATE Units SET Combat='37', Cost='135'																		WHERE UnitType='UNIT_CROSSBOWMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CULVERIN' WHERE Unit='UNIT_CROSSBOWMAN';
UPDATE Units SET Combat='37', Cost='135'																	WHERE UnitType='UNIT_CHOKONU';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CULVERIN' WHERE Unit='UNIT_CHOKONU';
UPDATE Units SET Combat='37', Cost='135'																		WHERE UnitType='UNIT_LONGBOWMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CULVERIN' WHERE Unit='UNIT_LONGBOWMAN';
UPDATE Units SET Combat='43'																				WHERE UnitType='UNIT_CULVERIN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RANGED' WHERE UnitType='UNIT_CULVERIN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GATLING_GUN' WHERE Unit='UNIT_CULVERIN';
UPDATE Units SET Cost='262', Combat='47', PrereqTech='TECH_INDUSTRIALIZATION'								WHERE UnitType='UNIT_GATLING_GUN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MACHINE_GUN' WHERE Unit='UNIT_GATLING_GUN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RANGED' WHERE UnitType='UNIT_GATLING_GUN';
UPDATE Units SET Cost='325', Combat='54', AntiAirCombat='50'												WHERE UnitType='UNIT_MACHINE_GUN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ANTIAIR_GUN' WHERE Unit='UNIT_MACHINE_GUN';
UPDATE Units SET Cost='400', Combat='61', PrereqTech='TECH_RADIO'											WHERE UnitType='UNIT_ANTIAIR_GUN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RANGED' WHERE UnitType='UNIT_ANTIAIR_GUN';
UPDATE Units SET Combat='68', PrereqTech='TECH_COMPUTERS'													WHERE UnitType='UNIT_MOBILE_SAM';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_RANGED' WHERE UnitType='UNIT_MOBILE_SAM';

UPDATE Units SET BaseMoves='4' WHERE PromotionClass='PROMOTION_CLASS_RANGED';
UPDATE Units SET ZoneOfControl='1' WHERE PromotionClass='PROMOTION_CLASS_RANGED';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE PromotionClass='PROMOTION_CLASS_RANGED';







/*							*/
/* PROMOTION_CLASS_SIEGE	*/
/*							*/
UPDATE Units SET PromotionClass='PROMOTION_CLASS_SIEGE' WHERE UnitType='UNIT_FIELD_CANNON';
UPDATE Units SET Combat='15', PromotionClass='PROMOTION_CLASS_SIEGE'										WHERE UnitType='UNIT_BATTERING_RAM';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CATAPULT' WHERE Unit='UNIT_BATTERING_RAM';
UPDATE Units SET Combat='15', PromotionClass='PROMOTION_CLASS_SIEGE'										WHERE UnitType='UNIT_SIEGE_TOWER';
UPDATE Units SET Combat='24'																				WHERE UnitType='UNIT_CATAPULT';
UPDATE Units SET Combat='23', Cost='180', StrategicResource=NULL											WHERE UnitType='UNIT_BALLISTA';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_TREBUCHET' WHERE Unit='UNIT_BALLISTA';
	UPDATE TypeTags SET Tag='CLASS_BATTERING_RAM' WHERE Type='UNIT_BALLISTA' AND Tag='CLASS_BALLISTA';
UPDATE Units SET Combat='24'																				WHERE UnitType='UNIT_ONAGER';
UPDATE Units SET Combat='36', Cost='180'																	WHERE UnitType='UNIT_TREBUCHET';
UPDATE Units SET Combat='30', Cost='180', PrereqTech='TECH_MILITARY_ENGINEERING'							WHERE UnitType='UNIT_CHINESE_CROUCHING_TIGER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_BOMBARD' WHERE Unit='UNIT_CHINESE_CROUCHING_TIGER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SIEGE' WHERE UnitType='UNIT_CHINESE_CROUCHING_TIGER';
UPDATE Units SET Combat='30', Cost='180', StrategicResource=NULL											WHERE UnitType='UNIT_KHMER_DOMREY'; --heavy cav adj bonus
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CANNON' WHERE Unit='UNIT_KHMER_DOMREY';
UPDATE Units SET Combat='45', Cost='240', PrereqTech='TECH_SIEGE_TACTICS'									WHERE UnitType='UNIT_BOMBARD';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ASSAULT_GUN' WHERE Unit='UNIT_BOMBARD';
UPDATE Units SET Combat='65', Cost='430'																	WHERE UnitType='UNIT_ASSAULT_GUN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SIEGE' WHERE UnitType='UNIT_ASSAULT_GUN';

UPDATE Units SET Bombard=0 WHERE PromotionClass='PROMOTION_CLASS_SIEGE';
UPDATE Units SET Combat='43', Range='1', Bombard='55', Cost='300', PrereqTech='TECH_METAL_CASTING'		WHERE UnitType='UNIT_FIELD_CANNON';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FIELD_GUN' WHERE Unit='UNIT_FIELD_CANNON';
UPDATE Units SET Combat='47', Range='1', Bombard='65', Cost='350'										WHERE UnitType='UNIT_FIELD_GUN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SIEGE' WHERE UnitType='UNIT_FIELD_GUN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARTILLERY' WHERE Unit='UNIT_FIELD_GUN';
UPDATE Units SET Combat='55', Range='1', Bombard='75', PrereqTech='TECH_CHEMISTRY'						WHERE UnitType='UNIT_ARTILLERY';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_SP_GUN' WHERE Unit='UNIT_ARTILLERY';
UPDATE Units SET Combat='70', Range='1', Bombard='85', Cost='540'										WHERE UnitType='UNIT_SP_GUN';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SIEGE' WHERE UnitType='UNIT_SP_GUN';
UPDATE Units SET Combat='60', Range='2', Bombard='80', Cost='540', PrereqTech=NULL, EnabledByReligion='1' WHERE UnitType='UNIT_ROCKET_ARTILLERY';

UPDATE Units SET BaseMoves='4' WHERE PromotionClass='PROMOTION_CLASS_SIEGE';
UPDATE Units SET ZoneOfControl='0' WHERE PromotionClass='PROMOTION_CLASS_SIEGE';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE PromotionClass='PROMOTION_CLASS_SIEGE';

/*									*/
/* PROMOTION_CLASS_LIGHT_CAVALRY	*/
/*									*/
UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY'												WHERE UnitType='UNIT_BARBARIAN_HORSE_ARCHER';
UPDATE Units SET Cost='90', Combat='20'																		WHERE UnitType='UNIT_HORSEMAN';
UPDATE Units SET Cost='90', Combat='20'																		WHERE UnitType='UNIT_EQUITE';
UPDATE Units SET Cost='90', Combat='20', RangedCombat='30', Range='1'										WHERE UnitType='UNIT_CAMEL_ARCHER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_CAMEL_ARCHER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_CAMEL_ARCHER';
UPDATE Units SET Cost='90', Combat='20', RangedCombat='30', Range='1'										WHERE UnitType='UNIT_SCYTHIAN_HORSE_ARCHER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_SCYTHIAN_HORSE_ARCHER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_SCYTHIAN_HORSE_ARCHER';
UPDATE Units SET Combat='19', Cost='65', RangedCombat='30', Range='1'										WHERE UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_MEDIEVAL_HORSEMAN' WHERE Unit='UNIT_EGYPTIAN_CHARIOT_ARCHER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER';
UPDATE Units SET Cost='135', Combat='30'																	WHERE UnitType='UNIT_MEDIEVAL_HORSEMAN';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_MEDIEVAL_HORSEMAN';
UPDATE Units SET Cost='135', Combat='30'																	WHERE UnitType='UNIT_DRUZHINA';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_DRUZHINA';
UPDATE Units SET Cost='135', Combat='30', RangedCombat='40', Range='1'										WHERE UnitType='UNIT_JINETE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CAVALRY' WHERE Unit='UNIT_JINETE';
UPDATE Units SET Cost='200', Combat='41', PrereqTech=NULL, EnabledByReligion='1'							WHERE UnitType='UNIT_LANCER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_LANCER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CAVALRY' WHERE Unit='UNIT_LANCER';
UPDATE Units SET Cost='262', Combat='40', MandatoryObsoleteTech='TECH_PLASTICS'								WHERE UnitType='UNIT_CAVALRY';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CAVALRY' WHERE Unit='UNIT_CAVALRY';
UPDATE Units SET Cost='262', Combat='40', StrategicResource=NULL											WHERE UnitType='UNIT_UHLAN';
UPDATE Units SET Cost='262', Combat='40', MandatoryObsoleteTech='TECH_PLASTICS'								WHERE UnitType='UNIT_RUSSIAN_COSSACK';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CAVALRY' WHERE Unit='UNIT_RUSSIAN_COSSACK';
UPDATE Units SET Cost='262', Combat='40', PrereqTech='TECH_MILITARY_SCIENCE'								WHERE UnitType='UNIT_AMERICAN_ROUGH_RIDER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CAVALRY' WHERE Unit='UNIT_AMERICAN_ROUGH_RIDER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_AMERICAN_ROUGH_RIDER';
	UPDATE Units SET MandatoryObsoleteTech='TECH_PLASTICS' WHERE UnitType='UNIT_AMERICAN_ROUGH_RIDER';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_CAVALRY' WHERE CivUniqueUnitType='UNIT_AMERICAN_ROUGH_RIDER';
UPDATE Units SET Cost='300', Combat='50', PrereqTech='TECH_REPLACEABLE_PARTS'								WHERE UnitType='UNIT_ARMORED_CAR';
	UPDATE Units SET MandatoryObsoleteTech=NULL WHERE UnitType='UNIT_ARMORED_CAR';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CAVALRY' WHERE Unit='UNIT_ARMORED_CAR';
UPDATE Units SET Cost='340', Combat='55'																	WHERE UnitType='UNIT_ARMORED_CAVALRY';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_ARMORED_CAVALRY';

UPDATE Units SET BaseMoves='6' WHERE PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET BaseSightRange='3' WHERE PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET ZoneOfControl='1' WHERE PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY';
UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY';

UPDATE Units SET BaseMoves='6', Combat='70', RangedCombat='80', Range='1', BaseSightRange='3'			WHERE UnitType='UNIT_AMERICAN_AH64_APACHE';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY' WHERE UnitType='UNIT_AMERICAN_AH64_APACHE';
	UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE UnitType='UNIT_AMERICAN_AH64_APACHE';
	UPDATE Units SET PrereqTech='TECH_COMPUTERS' WHERE UnitType='UNIT_AMERICAN_AH64_APACHE';



/*									*/
/* PROMOTION_CLASS_HEAVY_CAVALRY	*/
/*									*/
UPDATE Units SET Combat='30', Cost='85'																	WHERE UnitType='UNIT_HEAVY_CHARIOT';
	UPDATE Units SET MandatoryObsoleteTech='TECH_STIRRUPS' WHERE UnitType='UNIT_HEAVY_CHARIOT';
UPDATE Units SET Combat='40', Cost='125', BaseMoves='5', StrategicResource=NULL							WHERE UnitType='UNIT_MACEDONIAN_HETAIROI';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_HEAVY_CHARIOT' WHERE CivUniqueUnitType='UNIT_MACEDONIAN_HETAIROI';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_KNIGHT' WHERE Unit='UNIT_MACEDONIAN_HETAIROI';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_MACEDONIAN_HETAIROI';
UPDATE Units SET Combat='30', Cost='85'																	WHERE UnitType='UNIT_SUMERIAN_WAR_CART';
	--UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_SUMERIAN_WAR_CART';
UPDATE Units SET Combat='30', Cost='85', PrereqTech='TECH_THE_WHEEL'										WHERE UnitType='UNIT_INDIAN_VARU';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_HEAVY_CHARIOT' WHERE CivUniqueUnitType='UNIT_INDIAN_VARU';
UPDATE Units SET Combat='40', Cost='150'																WHERE UnitType='UNIT_ARMORED_HORSEMAN';
	UPDATE Units SET MandatoryObsoleteTech='TECH_RIFLING' WHERE UnitType='UNIT_ARMORED_HORSEMAN';
UPDATE Units SET Combat='40', Cost='150', StrategicResource=NULL										WHERE UnitType='UNIT_CATAPHRACT';
UPDATE Units SET Combat='50', Cost='240'																WHERE UnitType='UNIT_KNIGHT';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_KNIGHT';
UPDATE Units SET Combat='50', Cost='240'																WHERE UnitType='UNIT_ARABIAN_MAMLUK';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_ARABIAN_MAMLUK';
UPDATE Units SET Combat='50', Cost='240'																WHERE UnitType='UNIT_AMAZON';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_AMAZON';
UPDATE Units SET Combat='50', Cost='240'																WHERE UnitType='UNIT_MUGHAL_SOWAR';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_MUGHAL_SOWAR';
UPDATE Units SET Combat='50', Cost='240'																WHERE UnitType='UNIT_GENDARME';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBUSTION' WHERE UnitType='UNIT_GENDARME';
UPDATE Units SET Combat='55', Cost='280', PrereqTech=NULL, PrereqCivic='CIVIC_THE_ENLIGHTENMENT'		WHERE UnitType='UNIT_REITER';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_REITER';
UPDATE Units SET Combat='60', Cost='315', PrereqTech='TECH_MILITARY_SCIENCE'							WHERE UnitType='UNIT_CUIRASSIER';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_CUIRASSIER';
UPDATE Units SET Combat='60', Cost='315', StrategicResource=NULL										WHERE UnitType='UNIT_POLISH_HUSSAR';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_POLISH_HUSSAR';
UPDATE Units SET Combat='60', Cost='315', PrereqTech='TECH_MILITARY_SCIENCE'							WHERE UnitType='UNIT_ENGLISH_IRONSIDE';
	UPDATE Units SET MandatoryObsoleteTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_ENGLISH_IRONSIDE';
UPDATE Units SET Combat='75', Cost='500', PrereqTech='TECH_COMBUSTION'									WHERE UnitType='UNIT_TANK';
	UPDATE Units SET MandatoryObsoleteTech=NULL WHERE UnitType='UNIT_TANK';
UPDATE Units SET Combat='75', Cost='500', PrereqTech='TECH_COMBUSTION'									WHERE UnitType='UNIT_PANZER';
	UPDATE Units SET MandatoryObsoleteTech=NULL WHERE UnitType='UNIT_PANZER';
UPDATE Units SET Combat='75', Cost='430', PrereqTech='TECH_COMBUSTION'									WHERE UnitType='UNIT_T34';
	UPDATE Units SET MandatoryObsoleteTech=NULL WHERE UnitType='UNIT_T34';
UPDATE Units SET Combat='85', Cost='650'																WHERE UnitType='UNIT_MODERN_ARMOR';
UPDATE Units SET BaseMoves='5' WHERE PromotionClass='PROMOTION_CLASS_HEAVY_CAVALRY';
UPDATE Units SET ZoneOfControl='1' WHERE PromotionClass='PROMOTION_CLASS_HEAVY_CAVALRY';


/*							*/
/* PROMOTION_CLASS_SUPPORT  */
/*							*/
UPDATE Units SET Combat='0'																		WHERE UnitType='UNIT_MEDICINE_MAN';
UPDATE Units SET Combat='0'																		WHERE UnitType='UNIT_SHIGONG';
UPDATE Units SET Combat='0'																		WHERE UnitType='UNIT_NORWEGIAN_ULFHEDNAR';
UPDATE Units SET Combat='0'																		WHERE UnitType='UNIT_MILITARY_ENGINEER';
UPDATE Units SET PromotionClass='PROMOTION_CLASS_SUPPORT'										WHERE UnitType='UNIT_WARRIOR_PRIEST';
UPDATE Units SET Cost='262'																		WHERE UnitType='UNIT_MEDIC';
UPDATE Units SET Cost='400', PrereqTech='TECH_PLASTICS', PromotionClass='PROMOTION_CLASS_SUPPORT' WHERE UnitType='UNIT_HELICOPTER';

UPDATE Units SET BaseMoves='4'WHERE PromotionClass='PROMOTION_CLASS_SUPPORT';
UPDATE Units SET ZoneOfControl='0' WHERE PromotionClass='PROMOTION_CLASS_SUPPORT';
UPDATE Units SET Combat='0' WHERE PromotionClass='PROMOTION_CLASS_SUPPORT';
UPDATE Units SET FormationClass='FORMATION_CLASS_CIVILIAN' WHERE PromotionClass='PROMOTION_CLASS_SUPPORT';

UPDATE Units SET BaseMoves='6', BaseSightRange='2' WHERE UnitType='UNIT_HELICOPTER';


/*							*/
/*		NAVAL UNITS			*/
/*							*/
UPDATE Units SET Combat='45'																		WHERE UnitType='UNIT_PRIVATEER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CRUISER' WHERE Unit='UNIT_PRIVATEER';
UPDATE Units SET Combat='45'																		WHERE UnitType='UNIT_ENGLISH_SEADOG';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CRUISER' WHERE Unit='UNIT_ENGLISH_SEADOG';
UPDATE Units SET Combat='70', Cost='350', BaseSightRange='1'										WHERE UnitType='UNIT_SUBMARINE';
UPDATE Units SET Combat='70', Cost='350', BaseSightRange='1'										WHERE UnitType='UNIT_GERMAN_UBOAT';
UPDATE Units SET Combat='80', BaseSightRange='2', PrereqTech=NULL, PrereqCivic='CIVIC_COLD_WAR'		WHERE UnitType='UNIT_NUCLEAR_SUBMARINE';

UPDATE Units SET Combat='25', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY'							WHERE UnitType='UNIT_GALLEY';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GALLEASS' WHERE Unit='UNIT_GALLEY';
UPDATE Units SET Combat='25', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY'							WHERE UnitType='UNIT_NORWEGIAN_LONGSHIP';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GALLEASS' WHERE Unit='UNIT_NORWEGIAN_LONGSHIP';
UPDATE Units SET Combat='35', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY', PrereqTech='TECH_ASTROLOGY' WHERE UnitType='UNIT_WAR_GALLEY';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GALLEASS' WHERE Unit='UNIT_WAR_GALLEY';
UPDATE Units SET Combat='35', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY', StrategicResource=NULL	WHERE UnitType='UNIT_PERSIAN_WARSHIP';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GALLEASS' WHERE Unit='UNIT_PERSIAN_WARSHIP';
UPDATE Units SET Combat='30', PrereqTech=NULL, EnabledByReligion='1'								WHERE UnitType='UNIT_QUADRIREME';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY' WHERE UnitType='UNIT_QUADRIREME';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_GALLEASS' WHERE Unit='UNIT_QUADRIREME';
UPDATE Units SET Combat='40', Cost='120', PrereqTech='TECH_MILITARY_TACTICS'						WHERE UnitType='UNIT_GALLEASS';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY' WHERE UnitType='UNIT_GALLEASS';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FRIGATE' WHERE Unit='UNIT_GALLEASS';
UPDATE Units SET Combat='50', StrategicResource=NULL												WHERE UnitType='UNIT_INDONESIAN_JONG';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY' WHERE UnitType='UNIT_INDONESIAN_JONG';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_GALLEASS' WHERE CivUniqueUnitType='UNIT_INDONESIAN_JONG';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_FRIGATE' WHERE Unit='UNIT_INDONESIAN_JONG';
	UPDATE TypeTags SET Tag='CLASS_NAVAL_MELEE' WHERE Type='UNIT_INDONESIAN_JONG' AND Tag='CLASS_NAVAL_RANGED';
UPDATE Units SET Combat='50', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY'							WHERE UnitType='UNIT_FRIGATE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_ARMORED_CRUISER' WHERE Unit='UNIT_FRIGATE';
UPDATE Units SET Combat='60', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY'							WHERE UnitType='UNIT_ARMORED_CRUISER';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_BATTLECRUISER' WHERE Unit='UNIT_ARMORED_CRUISER';
UPDATE Units SET Combat='70', PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY', Cost='500'				WHERE UnitType='UNIT_BATTLECRUISER';
UPDATE Units SET Combat='75', BaseSightRange='2', RangedCombat='85', Range='2'						WHERE UnitType='UNIT_MISSILE_CRUISER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_HEAVY' WHERE UnitType='UNIT_MISSILE_CRUISER';
	UPDATE Units SET PrereqTech='TECH_TELECOMMUNICATIONS' WHERE UnitType='UNIT_MISSILE_CRUISER';

UPDATE Units SET Combat='55', PrereqTech=NULL, EnabledByReligion='1'							WHERE UnitType='UNIT_GALLEON';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL' WHERE UnitType='UNIT_GALLEON';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_IRONCLAD' WHERE Unit='UNIT_GALLEON';
UPDATE Units SET Combat='60', PrereqTech=NULL, EnabledByReligion='1'							WHERE UnitType='UNIT_SHIP_OF_THE_LINE';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL' WHERE UnitType='UNIT_SHIP_OF_THE_LINE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_IRONCLAD' WHERE Unit='UNIT_SHIP_OF_THE_LINE';
UPDATE Units SET Combat='55', PrereqTech='TECH_SCIENTIFIC_THEORY'								WHERE UnitType='UNIT_IRONCLAD';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL' WHERE UnitType='UNIT_IRONCLAD';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_PRE_DREADNOUGHT' WHERE Unit='UNIT_IRONCLAD';
UPDATE Units SET Combat='65', PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL'					WHERE UnitType='UNIT_PRE_DREADNOUGHT';
UPDATE Units SET Combat='70', Cost='440'														WHERE UnitType='UNIT_BRAZILIAN_MINAS_GERAES';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL' WHERE UnitType='UNIT_BRAZILIAN_MINAS_GERAES';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_BATTLESHIP' WHERE Unit='UNIT_BRAZILIAN_MINAS_GERAES';
	UPDATE UnitReplaces SET ReplacesUnitType='UNIT_PRE_DREADNOUGHT' WHERE CivUniqueUnitType='UNIT_BRAZILIAN_MINAS_GERAES';
UPDATE Units SET Combat='75', Cost='540', BaseSightRange='2', PrereqTech='TECH_STEEL'		WHERE UnitType='UNIT_BATTLESHIP';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL' WHERE UnitType='UNIT_BATTLESHIP';
UPDATE Units SET Combat='80', Cost='540', BaseSightRange='2', PrereqTech='TECH_STEEL'		WHERE UnitType='UNIT_YAMATO';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_CAPITAL' WHERE UnitType='UNIT_YAMATO';

UPDATE Units SET Combat='40', Cost='200', BaseSightRange='2', PrereqTech='TECH_MATHEMATICS' WHERE UnitType='UNIT_CARAVEL';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_ESCORT' WHERE UnitType='UNIT_CARAVEL';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_CORVETTE' WHERE Unit='UNIT_CARAVEL';
UPDATE Units SET Combat='50', Cost='220', BaseSightRange='2', PrereqTech='TECH_MASS_PRODUCTION' WHERE UnitType='UNIT_CORVETTE';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_ESCORT' WHERE UnitType='UNIT_CORVETTE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_DESTROYER' WHERE Unit='UNIT_CORVETTE';
UPDATE Units SET Combat='60', Cost='400', BaseSightRange='2', PrereqTech='TECH_ECONOMICS'		WHERE UnitType='UNIT_DESTROYER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_ESCORT' WHERE UnitType='UNIT_DESTROYER';
	UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE UnitType='UNIT_DESTROYER';
UPDATE Units SET Combat='65', Cost='540', BaseSightRange='2', RangedCombat='75', Range='2'		WHERE UnitType='UNIT_MISSILE_DESTROYER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_NAVAL_ESCORT' WHERE UnitType='UNIT_MISSILE_DESTROYER';
	UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE UnitType='UNIT_MISSILE_DESTROYER';

UPDATE Units SET Combat='60', BaseSightRange='3', PrereqTech='TECH_ADVANCED_FLIGHT'				WHERE UnitType='UNIT_AIRCRAFT_CARRIER';
	UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE UnitType='UNIT_AIRCRAFT_CARRIER';
UPDATE Units SET Combat='65', Cost='800', BaseSightRange='3'										WHERE UnitType='UNIT_SUPERCARRIER';
	UPDATE Units SET FormationClass='FORMATION_CLASS_SUPPORT' WHERE UnitType='UNIT_SUPERCARRIER';

UPDATE Units SET BaseMoves='4' WHERE Domain='DOMAIN_SEA';



/*							*/
/*		AIR UNITS			*/
/*							*/
UPDATE Units SET Range='8', BaseSightRange='3', PrereqTech='TECH_FLIGHT', Cost='450'					WHERE UnitType='UNIT_FIGHTER';
UPDATE Units SET Range='9', BaseSightRange='3', PrereqTech='TECH_FLIGHT', Cost='450'					WHERE UnitType='UNIT_AMERICAN_P51';
UPDATE Units SET Range='10', BaseSightRange='3', PrereqTech='TECH_SYNTHETIC_MATERIALS', Cost='450'		WHERE UnitType='UNIT_JET_FIGHTER';
UPDATE Units SET Range='10', BaseSightRange='3'																WHERE UnitType='UNIT_STEALTH_FIGHTER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_AIR_FIGHTER' WHERE UnitType='UNIT_STEALTH_FIGHTER';
UPDATE Units SET Range='10', BaseSightRange='2'																WHERE UnitType='UNIT_BOMBER';
UPDATE Units SET Range='14', BaseSightRange='2', PrereqTech='TECH_SYNTHETIC_MATERIALS', Cost='450'			WHERE UnitType='UNIT_JET_BOMBER';
UPDATE Units SET Range='15', BaseSightRange='2'																WHERE UnitType='UNIT_STEALTH_BOMBER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_AIR_BOMBER' WHERE UnitType='UNIT_STEALTH_BOMBER';
UPDATE Units SET Range='6', BaseSightRange='2'																WHERE UnitType='UNIT_GROUND_ATTACK';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_AIR_FIGHTER' WHERE UnitType='UNIT_GROUND_ATTACK';
UPDATE Units SET Range='7', BaseSightRange='2'																WHERE UnitType='UNIT_JET_GROUND_ATTACK';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_AIR_FIGHTER' WHERE UnitType='UNIT_JET_GROUND_ATTACK';
UPDATE Units SET Range='8', BaseSightRange='2'																WHERE UnitType='UNIT_STEALTH_ATTACK';

UPDATE Units SET Combat='0', RangedCombat='0', Range='5', BaseSightRange='2', PrereqDistrict=NULL		WHERE UnitType='UNIT_BIPLANE';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SUPPORT' WHERE UnitType='UNIT_BIPLANE';
	UPDATE UnitUpgrades SET UpgradeUnit='UNIT_WW1_BOMBER' WHERE Unit='UNIT_BIPLANE';
UPDATE Units SET Combat='0', RangedCombat='0', Range='12', Bombard='0', BaseSightRange='4'			WHERE UnitType='UNIT_WW1_BOMBER';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SUPPORT' WHERE UnitType='UNIT_WW1_BOMBER';
	UPDATE Units SET PrereqTech='TECH_COMPUTERS' WHERE UnitType='UNIT_WW1_BOMBER';
UPDATE Units SET Combat='0', RangedCombat='0', Range='9', BaseSightRange='3', PrereqTech='TECH_ROBOTICS' WHERE UnitType='UNIT_UAV';
	UPDATE Units SET PromotionClass='PROMOTION_CLASS_SUPPORT' WHERE UnitType='UNIT_UAV';


/*							*/
/*			MISC			*/
/*							*/
UPDATE Units SET BaseSightRange='3'																			WHERE UnitType='UNIT_SPY';


/* UNITS */
UPDATE Units SET MandatoryObsoleteTech=NULL WHERE UnitType='UNIT_SNIPER';
UPDATE Units SET MandatoryObsoleteTech=NULL WHERE UnitType='UNIT_MODERN_SNIPER';
UPDATE Units SET TraitType=NULL WHERE UnitType='UNIT_AMERICAN_AH64_APACHE';

UPDATE Units SET StrategicResource='RESOURCE_IRON' WHERE UnitType='UNIT_SWORDSMAN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MACHINE_GUN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_QUADRIREME';
UPDATE Units SET StrategicResource='RESOURCE_HORSES' WHERE UnitType='UNIT_HEAVY_CHARIOT';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_HORSEMAN';
UPDATE Units SET StrategicResource='RESOURCE_HORSES' WHERE UnitType='UNIT_KNIGHT';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MUSKETMAN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_BOMBARD';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_CAVALRY';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_FIELD_CANNON';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_ARTILLERY';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_ROCKET_ARTILLERY';
UPDATE Units SET StrategicResource='RESOURCE_OIL' WHERE UnitType='UNIT_SUBMARINE';
UPDATE Units SET StrategicResource='RESOURCE_URANIUM' WHERE UnitType='UNIT_NUCLEAR_SUBMARINE';
UPDATE Units SET StrategicResource='RESOURCE_COAL' WHERE UnitType='UNIT_BATTLESHIP';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_IRONCLAD';
UPDATE Units SET StrategicResource='RESOURCE_OIL' WHERE UnitType='UNIT_TANK';
UPDATE Units SET StrategicResource='RESOURCE_OIL' WHERE UnitType='UNIT_MODERN_ARMOR';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_BIPLANE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_FIGHTER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_JET_FIGHTER';
UPDATE Units SET StrategicResource='RESOURCE_ALUMINUM' WHERE UnitType='UNIT_BOMBER';
UPDATE Units SET StrategicResource='RESOURCE_ALUMINUM' WHERE UnitType='UNIT_JET_BOMBER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MOBILE_SAM';
UPDATE Units SET StrategicResource='RESOURCE_URANIUM' WHERE UnitType='UNIT_MISSILE_CRUISER';
UPDATE Units SET StrategicResource='RESOURCE_OIL' WHERE UnitType='UNIT_MECHANIZED_INFANTRY';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_AT_CREW';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_MODERN_AT';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_HELICOPTER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_EQUITE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MEDIEVAL_HORSEMAN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_JINETE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_DRUZHINA';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_HIRDMAN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MINUTEMAN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_VULTURE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_TERCIO';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_PANZER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_T34';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_YAMATO';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_FRENCH_MARINE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_GHAZI';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_MUGHAL_SOWAR';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_GENDARME';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_AMAZON';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_ENGLISH_IRONSIDE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_GATLING_GUN';
UPDATE Units SET StrategicResource='RESOURCE_IRON' WHERE UnitType='UNIT_MACEMAN';
UPDATE Units SET StrategicResource='RESOURCE_HORSES' WHERE UnitType='UNIT_CUIRASSIER';
UPDATE Units SET StrategicResource='RESOURCE_ALUMINUM' WHERE UnitType='UNIT_AMERICAN_AH64_APACHE';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_ANTIAIR_GUN';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_MOBILE_SAM';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_STEALTH_FIGHTER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_STEALTH_BOMBER';
UPDATE Units SET StrategicResource='RESOURCE_ALUMINUM' WHERE UnitType='UNIT_UAV';
UPDATE Units SET StrategicResource='RESOURCE_NITER' WHERE UnitType='UNIT_SP_GUN';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_LANCER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_ARMORED_CRUISER';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_ARMORED_CAVALRY';
UPDATE Units SET StrategicResource=NULL WHERE UnitType='UNIT_ARMORED_CAR';

UPDATE Units SET PrereqTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_MOTORISED_INFANTRY';
UPDATE Units SET PrereqTech='TECH_COMBUSTION' WHERE UnitType='UNIT_ARMORED_CAVALRY';
UPDATE Units SET PrereqTech='TECH_STEEL' WHERE UnitType='UNIT_BATTLECRUISER';
UPDATE Units SET PrereqTech='TECH_STEALTH_TECHNOLOGY' WHERE UnitType='UNIT_STEALTH_FIGHTER';
UPDATE Units SET PrereqTech='TECH_STEALTH_TECHNOLOGY' WHERE UnitType='UNIT_STEALTH_BOMBER';
UPDATE Units SET PrereqTech=NULL WHERE UnitType='UNIT_FIELD_GUN';
UPDATE Units SET PrereqCivic='CIVIC_SCORCHED_EARTH' WHERE UnitType='UNIT_FIELD_GUN';
UPDATE Units SET PrereqTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_SP_GUN';
UPDATE Units SET PrereqTech='TECH_GUIDANCE_SYSTEMS' WHERE UnitType='UNIT_MISSILE_DESTROYER';
UPDATE Units SET PrereqTech='TECH_NUCLEAR_FISSION' WHERE UnitType='UNIT_SUPERCARRIER';
UPDATE Units SET PrereqTech=NULL WHERE UnitType='UNIT_SUPERCARRIER';
UPDATE Units SET PrereqCivic='CIVIC_GLOBALIZATION' WHERE UnitType='UNIT_SUPERCARRIER';
UPDATE Units SET PrereqTech='TECH_CHEMISTRY' WHERE UnitType='UNIT_ASSAULT_GUN';
UPDATE Units SET PrereqTech='TECH_COMBINED_ARMS' WHERE UnitType='UNIT_GROUND_ATTACK';
