-- Arma_Misc
-- Author: Armakoir
-- DateCreated: 11/22/2017 9:42:19 PM
--------------------------------------------------------------

--UPDATE MajorStartingUnits SET Unit='UNIT_MUSKETMAN' WHERE Era='ERA_INDUSTRIAL' AND Unit='UNIT_PIKEMAN';
--UPDATE MajorStartingUnits SET Unit='UNIT_RIFLEMAN' WHERE Era='ERA_INDUSTRIAL' AND Unit='UNIT_CROSSBOWMAN';
--UPDATE MajorStartingUnits SET Unit='UNIT_RANGER' WHERE Era='ERA_INDUSTRIAL' AND Unit='UNIT_SCOUT';
--UPDATE MajorStartingUnits SET Unit='UNIT_INFANTRY' WHERE Era='ERA_INDUSTRIAL' AND Unit='UNIT_BUILDER';

UPDATE Boosts SET Unit1Type = 'UNIT_FIGHTER' WHERE TechnologyType = 'TECH_ADVANCED_FLIGHT';

UPDATE Terrains SET InfluenceCost = '100' WHERE TerrainType = 'TERRAIN_OCEAN';
UPDATE Features SET MovementChange='2', DefenseModifier='-5' WHERE FeatureType='FEATURE_MARSH';

UPDATE GlobalParameters SET Value = '1' WHERE Name = 'COMBAT_FLANKING_BONUS_MODIFIER';
UPDATE GlobalParameters SET Value = '1' WHERE Name = 'COMBAT_SUPPORT_BONUS_MODIFIER';
UPDATE GlobalParameters SET Value = '10' WHERE Name = 'COMBAT_RANGED_VS_DISTRICT_STRENGTH_MODIFIER';
UPDATE GlobalParameters SET Value = '10' WHERE Name = 'COMBAT_RIVER_DEFENSE';
UPDATE GlobalParameters SET Value = '5' WHERE Name = 'FORTIFY_BONUS_PER_TURN';
UPDATE GlobalParameters SET Value = '2' WHERE Name = 'FORTIFY_TURN_MAX';
UPDATE GlobalParameters SET Value = '3' WHERE Name = 'MOVEMENT_WHILE_EMBARKED_BASE';
UPDATE GlobalParameters SET Value = '10' WHERE Name = 'COMBAT_BOMBARD_VS_UNIT_STRENGTH_MODIFIER';
/*<Replace Name="COMBAT_ANTI_AIR_SUPPORT_BONUS_MODIFIER" Value="5" />
<Replace Name="COMBAT_DEFENSE_DAMAGE_PERCENT_BOMBARD" Value="100" />
<Replace Name="COMBAT_DEFENSE_DAMAGE_PERCENT_MELEE" Value="15" />
<Replace Name="COMBAT_DEFENSE_DAMAGE_PERCENT_RANGED" Value="50" />
<Replace Name="PLOT_INFLUENCE_MAX_ACQUIRE_DISTANCE" Value="5" />*/

/* BARBARIAN TRIBES */
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_WARRIOR','CLASS_MELEE_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SWORDSMAN','CLASS_MELEE_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACEMAN','CLASS_MELEE_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MUSKETMAN','CLASS_MELEE_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_MELEE_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RECON','CLASS_MELEE_BARB');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SCOUT','CLASS_SCOUT_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_SCOUT_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RECON','CLASS_SCOUT_BARB');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_HEAVY_INFANTRY','CLASS_SUPPORT_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SPEARMAN','CLASS_SUPPORT_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_PIKEMAN','CLASS_SUPPORT_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RIFLEMAN','CLASS_SUPPORT_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_INFANTRY','CLASS_SUPPORT_BARB');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_SLINGER','CLASS_RANGED_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARCHER','CLASS_RANGED_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_COMPOSITE_BOWMAN','CLASS_RANGED_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_RANGER','CLASS_RANGED_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GATLING_GUN','CLASS_RANGED_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MACHINE_GUN','CLASS_RANGED_BARB');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_HORSEMAN','CLASS_CAVALRY_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_MEDIEVAL_HORSEMAN','CLASS_CAVALRY_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CAVALRY','CLASS_CAVALRY_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARMORED_CAR','CLASS_CAVALRY_BARB');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_GALLEASS','CLASS_NAVAL_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CORVETTE','CLASS_NAVAL_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_ARMORED_CRUISER','CLASS_NAVAL_BARB');

INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CARAVEL','CLASS_NAVAL_SUP_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_CORVETTE','CLASS_NAVAL_SUP_BARB');
INSERT INTO TypeTags (Type, Tag) VALUES ('UNIT_DESTROYER','CLASS_NAVAL_SUP_BARB');

UPDATE BarbarianAttackForces SET MeleeTag='CLASS_MELEE_BARB' WHERE MeleeTag='CLASS_MELEE';
UPDATE BarbarianAttackForces SET RangeTag='CLASS_RANGED_BARB' WHERE RangeTag='CLASS_RANGED';
UPDATE BarbarianAttackForces SET SiegeTag='CLASS_SUPPORT_BARB' WHERE SiegeTag='CLASS_SIEGE';

UPDATE BarbarianAttackForces SET MeleeTag='CLASS_NAVAL_BARB' WHERE MeleeTag='CLASS_NAVAL_MELEE';
UPDATE BarbarianAttackForces SET RangeTag='CLASS_NAVAL_SUP_BARB' WHERE RangeTag='CLASS_NAVAL_RANGED';
UPDATE BarbarianAttackForces SET SiegeTag='CLASS_NAVAL_BARB' WHERE SiegeTag='CLASS_NAVAL_RANGED';

UPDATE BarbarianAttackForces SET MeleeTag='CLASS_MELEE_BARB' WHERE MeleeTag='CLASS_LIGHT_CAVALRY';
UPDATE BarbarianAttackForces SET RangeTag='CLASS_CAVALRY_BARB' WHERE RangeTag='CLASS_RANGED_CAVALRY';
UPDATE BarbarianAttackForces SET SiegeTag='CLASS_SUPPORT_BARB' WHERE SiegeTag='CLASS_HORSE_ARCHER';


UPDATE BarbarianTribes SET ScoutTag='CLASS_SCOUT_BARB' WHERE TribeType='TRIBE_MELEE';
UPDATE BarbarianTribes SET MeleeTag='CLASS_MELEE_BARB' WHERE TribeType='TRIBE_MELEE';
UPDATE BarbarianTribes SET RangedTag='CLASS_RANGED_BARB' WHERE TribeType='TRIBE_MELEE';
UPDATE BarbarianTribes SET SiegeTag='CLASS_CAVALRY_BARB' WHERE TribeType='TRIBE_MELEE';
UPDATE BarbarianTribes SET DefenderTag='CLASS_SUPPORT_BARB' WHERE TribeType='TRIBE_MELEE';
UPDATE BarbarianTribes SET SupportTag='CLASS_SUPPORT_BARB' WHERE TribeType='TRIBE_MELEE';

UPDATE BarbarianTribes SET ScoutTag='CLASS_SCOUT_BARB' WHERE TribeType='TRIBE_CAVALRY';
UPDATE BarbarianTribes SET MeleeTag='CLASS_MELEE_BARB' WHERE TribeType='TRIBE_CAVALRY';
UPDATE BarbarianTribes SET RangedTag='CLASS_SUPPORT_BARB' WHERE TribeType='TRIBE_CAVALRY';
UPDATE BarbarianTribes SET SiegeTag='CLASS_CAVALRY_BARB' WHERE TribeType='TRIBE_CAVALRY';
UPDATE BarbarianTribes SET DefenderTag='CLASS_SUPPORT_BARB' WHERE TribeType='TRIBE_CAVALRY';

UPDATE BarbarianTribes SET ScoutTag='CLASS_NAVAL_SUP_BARB' WHERE TribeType='TRIBE_NAVAL';
UPDATE BarbarianTribes SET MeleeTag='CLASS_NAVAL_BARB' WHERE TribeType='TRIBE_NAVAL';
UPDATE BarbarianTribes SET RangedTag='CLASS_NAVAL_SUP_BARB' WHERE TribeType='TRIBE_NAVAL';
UPDATE BarbarianTribes SET SiegeTag='CLASS_NAVAL_BARB' WHERE TribeType='TRIBE_NAVAL';
UPDATE BarbarianTribes SET DefenderTag='CLASS_SUPPORT_BARB' WHERE TribeType='TRIBE_NAVAL';





DELETE FROM MajorStartingUnits WHERE Era='ERA_CLASSICAL';
DELETE FROM MajorStartingUnits WHERE Era='ERA_MEDIEVAL';
DELETE FROM MajorStartingUnits WHERE Era='ERA_RENAISSANCE';
DELETE FROM MajorStartingUnits WHERE Era='ERA_INDUSTRIAL';
DELETE FROM MajorStartingUnits WHERE Era='ERA_MODERN';
DELETE FROM MajorStartingUnits WHERE Era='ERA_ATOMIC';
DELETE FROM MajorStartingUnits WHERE Era='ERA_INFORMATION';

INSERT INTO MajorStartingUnits
	(Unit, Era, District, Quantity, NotStartTile, OnDistrictCreated, AiOnly, MinDifficulty, DifficultyDelta)
VALUES
	('UNIT_SETTLER',		'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_BUILDER',		'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_SCOUT',			'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_HEAVY_INFANTRY',	'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_SETTLER',		'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_HEAVY_INFANTRY',	'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_BUILDER',		'ERA_CLASSICAL','DISTRICT_CITY_CENTER','1','1','1','1','DIFFICULTY_KING','0.5'),

	('UNIT_SETTLER',		'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','2','0','0','0',NULL,'0'),
	('UNIT_BUILDER',		'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','2','0','1','0',NULL,'0'),
	('UNIT_TRADER',			'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_SCOUT',			'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_SPEARMAN',		'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_SETTLER',		'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_SPEARMAN',		'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_BUILDER',		'ERA_MEDIEVAL','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_KING','0.5'),

	('UNIT_SETTLER',			'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','2','0','0','0',NULL,'0'),
	('UNIT_MILITARY_ENGINEER',	'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','2','0','1','0',NULL,'0'),
	('UNIT_TRADER',				'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_EXPLORER',			'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_MEDIEVAL_HORSEMAN',	'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_PIKEMAN',			'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_CROSSBOWMAN',		'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_SETTLER',			'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_PIKEMAN',			'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_MILITARY_ENGINEER',	'ERA_RENAISSANCE','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_KING','0.5'),

	('UNIT_SETTLER',			'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','2','0','0','0',NULL,'0'),
	('UNIT_MILITARY_ENGINEER',	'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','2','0','1','0',NULL,'0'),
	('UNIT_TRADER',				'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_EXPLORER',			'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_MEDIEVAL_HORSEMAN',	'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_MUSKETMAN',			'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','2','0','0','0',NULL,'0'),
	('UNIT_CULVERIN',			'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_SETTLER',			'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_MUSKETMAN',			'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_MILITARY_ENGINEER',	'ERA_INDUSTRIAL','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_KING','0.5'),

	('UNIT_SETTLER',			'ERA_MODERN','DISTRICT_CITY_CENTER','3','0','0','0',NULL,'0'),
	('UNIT_MILITARY_ENGINEER',	'ERA_MODERN','DISTRICT_CITY_CENTER','3','0','1','0',NULL,'0'),
	('UNIT_TRADER',				'ERA_MODERN','DISTRICT_CITY_CENTER','2','0','1','0',NULL,'0'),
	('UNIT_RANGER',				'ERA_MODERN','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_CAVALRY',			'ERA_MODERN','DISTRICT_CITY_CENTER','2','1','0','0',NULL,'0'),
	('UNIT_RIFLEMAN',			'ERA_MODERN','DISTRICT_CITY_CENTER','3','0','0','0',NULL,'0'),
	('UNIT_GATLING_GUN',		'ERA_MODERN','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_MEDIC',				'ERA_MODERN','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_SETTLER',			'ERA_MODERN','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_GATLING_GUN',		'ERA_MODERN','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_MILITARY_ENGINEER',	'ERA_MODERN','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_KING','0.5'),

	('UNIT_SETTLER',			'ERA_ATOMIC','DISTRICT_CITY_CENTER','3','0','0','0',NULL,'0'),
	('UNIT_MILITARY_ENGINEER',	'ERA_ATOMIC','DISTRICT_CITY_CENTER','3','0','1','0',NULL,'0'),
	('UNIT_TRADER',				'ERA_ATOMIC','DISTRICT_CITY_CENTER','2','0','1','0',NULL,'0'),
	('UNIT_RECON',				'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_ARMORED_CAVALRY',	'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_INFANTRY',			'ERA_ATOMIC','DISTRICT_CITY_CENTER','3','0','0','0',NULL,'0'),
	('UNIT_MACHINE_GUN',		'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_ANTIAIR_GUN',		'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_MEDIC',				'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_SETTLER',			'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_INFANTRY',			'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_MILITARY_ENGINEER',	'ERA_ATOMIC','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_KING','0.5'),

	('UNIT_SETTLER',			'ERA_INFORMATION','DISTRICT_CITY_CENTER','4','0','0','0',NULL,'0'),
	('UNIT_MILITARY_ENGINEER',	'ERA_INFORMATION','DISTRICT_CITY_CENTER','4','0','1','0',NULL,'0'),
	('UNIT_TRADER',				'ERA_INFORMATION','DISTRICT_CITY_CENTER','2','0','1','0',NULL,'0'),
	('UNIT_RECON',				'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','1','0','0',NULL,'0'),
	('UNIT_ARMORED_CAVALRY',	'ERA_INFORMATION','DISTRICT_CITY_CENTER','2','1','0','0',NULL,'0'),
	('UNIT_MOTORISED_INFANTRY',	'ERA_INFORMATION','DISTRICT_CITY_CENTER','4','0','0','0',NULL,'0'),
	('UNIT_MACHINE_GUN',		'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','0','0','0',NULL,'0'),
	('UNIT_ANTIAIR_GUN',		'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_HELICOPTER',			'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','0','1','0',NULL,'0'),
	('UNIT_SETTLER',			'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_EMPEROR','0.5'),
	('UNIT_MOTORISED_INFANTRY',	'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','1','0','1','DIFFICULTY_KING','1'),
	('UNIT_MILITARY_ENGINEER',	'ERA_INFORMATION','DISTRICT_CITY_CENTER','1','0','1','1','DIFFICULTY_KING','0.5');





DELETE FROM TypeTags WHERE Type='UNIT_RANGER' AND Tag='CLASS_RANGED';

		--CODE CREDIT TO QUO
UPDATE Units SET Range=1, Bombard = Combat - 5, Combat = Combat -7  
	WHERE  PromotionClass = 'PROMOTION_CLASS_ANTI_CAVALRY' 
	AND EXISTS (SELECT tblQuoOptions.Value FROM tblQuoOptions WHERE tblQuoOptions.OptionID='QUO_OPTION_ARE_ANTI_CAV_RANGED' AND tblQuoOptions.Value >= 1);

--INSERT INTO Improvement_ValidBuildUnits (ImprovementType, UnitType) VALUES ('QUO_IMPROVEMENT_BRAZILWOOD_CAMP', 'UNIT_MILITARY_ENGINEER');  causes crash if not present
